output(t) c:\res\stockreg\progs\pl1
' This EViews program estimates the default equation for the
' S&P and NASDAQ stocks for 6 different 2-month periods in 1999 and 2002.
' The idea is to check for integration inside (but not across) US stock markets
'
' The samples are:
' 1999: April-May (43 days) sample 1
' 1999: July-August (44) sample 2
' 1999: October-November (43) sample 3
' 2002: April-May (45) sample 4
' 2002: July-August (45) sample 5
' 2002: October-November (44) sample 6
' 
' There are 4 assets: S&P stocks, asset 1; NASDAQ stocks, asset 2
' TSE stocks (in C$), asset 3; US bonds, asset 4
'
' Each sample has 100 firms (except some bonds and the Canadians)
' and we lose 1 lead (regressand and 1 lag (normalization) each period.
'
' Load the data set
'
load \res\stockreg\data\datal
smpl @all
'
' Create the time dummies
'
genr t02=(period=2)
genr t03=(period=3)
genr t04=(period=4)
genr t05=(period=5)
genr t06=(period=6)
genr t07=(period=7)
genr t08=(period=8)
genr t09=(period=9)
genr t10=(period=10)
genr t11=(period=11)
genr t12=(period=12)
genr t13=(period=13)
genr t14=(period=14)
genr t15=(period=15)
genr t16=(period=16)
genr t17=(period=17)
genr t18=(period=18)
genr t19=(period=19)
genr t20=(period=20)
genr t21=(period=21)
genr t22=(period=22)
genr t23=(period=23)
genr t24=(period=24)
genr t25=(period=25)
genr t26=(period=26)
genr t27=(period=27)
genr t28=(period=28)
genr t29=(period=29)
genr t30=(period=30)
genr t31=(period=31)
genr t32=(period=32)
genr t33=(period=33)
genr t34=(period=34)
genr t35=(period=35)
genr t36=(period=36)
genr t37=(period=37)
genr t38=(period=38)
genr t39=(period=39)
genr t40=(period=40)
genr t41=(period=41)
genr t42=(period=42)
genr t43=(period=43)
genr t44=(period=44)
'
' Create the firm dummies: S&P
'
genr f01=(firmn=1)*(asset=1)
genr f02=(firmn=2)*(asset=1)
genr f03=(firmn=3)*(asset=1)
genr f04=(firmn=4)*(asset=1)
genr f05=(firmn=5)*(asset=1)
genr f06=(firmn=6)*(asset=1)
genr f07=(firmn=7)*(asset=1)
genr f08=(firmn=8)*(asset=1)
genr f09=(firmn=9)*(asset=1)
genr f10=(firmn=10)*(asset=1)
genr f11=(firmn=11)*(asset=1)
genr f12=(firmn=12)*(asset=1)
genr f13=(firmn=13)*(asset=1)
genr f14=(firmn=14)*(asset=1)
genr f15=(firmn=15)*(asset=1)
genr f16=(firmn=16)*(asset=1)
genr f17=(firmn=17)*(asset=1)
genr f18=(firmn=18)*(asset=1)
genr f19=(firmn=19)*(asset=1)
genr f20=(firmn=20)*(asset=1)
genr f21=(firmn=21)*(asset=1)
genr f22=(firmn=22)*(asset=1)
genr f23=(firmn=23)*(asset=1)
genr f24=(firmn=24)*(asset=1)
genr f25=(firmn=25)*(asset=1)
genr f26=(firmn=26)*(asset=1)
genr f27=(firmn=27)*(asset=1)
genr f28=(firmn=28)*(asset=1)
genr f29=(firmn=29)*(asset=1)
genr f30=(firmn=30)*(asset=1)
genr f31=(firmn=31)*(asset=1)
genr f32=(firmn=32)*(asset=1)
genr f33=(firmn=33)*(asset=1)
genr f34=(firmn=34)*(asset=1)
genr f35=(firmn=35)*(asset=1)
genr f36=(firmn=36)*(asset=1)
genr f37=(firmn=37)*(asset=1)
genr f38=(firmn=38)*(asset=1)
genr f39=(firmn=39)*(asset=1)
genr f40=(firmn=40)*(asset=1)
genr f41=(firmn=41)*(asset=1)
genr f42=(firmn=42)*(asset=1)
genr f43=(firmn=43)*(asset=1)
genr f44=(firmn=44)*(asset=1)
genr f45=(firmn=45)*(asset=1)
genr f46=(firmn=46)*(asset=1)
genr f47=(firmn=47)*(asset=1)
genr f48=(firmn=48)*(asset=1)
genr f49=(firmn=49)*(asset=1)
genr f50=(firmn=50)*(asset=1)
genr f51=(firmn=51)*(asset=1)
genr f52=(firmn=52)*(asset=1)
genr f53=(firmn=53)*(asset=1)
genr f54=(firmn=54)*(asset=1)
genr f55=(firmn=55)*(asset=1)
genr f56=(firmn=56)*(asset=1)
genr f57=(firmn=57)*(asset=1)
genr f58=(firmn=58)*(asset=1)
genr f59=(firmn=59)*(asset=1)
genr f60=(firmn=60)*(asset=1)
genr f61=(firmn=61)*(asset=1)
genr f62=(firmn=62)*(asset=1)
genr f63=(firmn=63)*(asset=1)
genr f64=(firmn=64)*(asset=1)
genr f65=(firmn=65)*(asset=1)
genr f66=(firmn=66)*(asset=1)
genr f67=(firmn=67)*(asset=1)
genr f68=(firmn=68)*(asset=1)
genr f69=(firmn=69)*(asset=1)
genr f70=(firmn=70)*(asset=1)
genr f71=(firmn=71)*(asset=1)
genr f72=(firmn=72)*(asset=1)
genr f73=(firmn=73)*(asset=1)
genr f74=(firmn=74)*(asset=1)
genr f75=(firmn=75)*(asset=1)
genr f76=(firmn=76)*(asset=1)
genr f77=(firmn=77)*(asset=1)
genr f78=(firmn=78)*(asset=1)
genr f79=(firmn=79)*(asset=1)
genr f80=(firmn=80)*(asset=1)
genr f81=(firmn=81)*(asset=1)
genr f82=(firmn=82)*(asset=1)
genr f83=(firmn=83)*(asset=1)
genr f84=(firmn=84)*(asset=1)
genr f85=(firmn=85)*(asset=1)
genr f86=(firmn=86)*(asset=1)
genr f87=(firmn=87)*(asset=1)
genr f88=(firmn=88)*(asset=1)
genr f89=(firmn=89)*(asset=1)
genr f90=(firmn=90)*(asset=1)
genr f91=(firmn=91)*(asset=1)
genr f92=(firmn=92)*(asset=1)
genr f93=(firmn=93)*(asset=1)
genr f94=(firmn=94)*(asset=1)
genr f95=(firmn=95)*(asset=1)
genr f96=(firmn=96)*(asset=1)
genr f97=(firmn=97)*(asset=1)
genr f98=(firmn=98)*(asset=1)
genr f99=(firmn=99)*(asset=1)
genr f100=(firmn=100)*(asset=1)
'
' Create the firm dummies: NASDAQ
'
genr g01=(firmn=1)*(asset=2)
genr g02=(firmn=2)*(asset=2)
genr g03=(firmn=3)*(asset=2)
genr g04=(firmn=4)*(asset=2)
genr g05=(firmn=5)*(asset=2)
genr g06=(firmn=6)*(asset=2)
genr g07=(firmn=7)*(asset=2)
genr g08=(firmn=8)*(asset=2)
genr g09=(firmn=9)*(asset=2)
genr g10=(firmn=10)*(asset=2)
genr g11=(firmn=11)*(asset=2)
genr g12=(firmn=12)*(asset=2)
genr g13=(firmn=13)*(asset=2)
genr g14=(firmn=14)*(asset=2)
genr g15=(firmn=15)*(asset=2)
genr g16=(firmn=16)*(asset=2)
genr g17=(firmn=17)*(asset=2)
genr g18=(firmn=18)*(asset=2)
genr g19=(firmn=19)*(asset=2)
genr g20=(firmn=20)*(asset=2)
genr g21=(firmn=21)*(asset=2)
genr g22=(firmn=22)*(asset=2)
genr g23=(firmn=23)*(asset=2)
genr g24=(firmn=24)*(asset=2)
genr g25=(firmn=25)*(asset=2)
genr g26=(firmn=26)*(asset=2)
genr g27=(firmn=27)*(asset=2)
genr g28=(firmn=28)*(asset=2)
genr g29=(firmn=29)*(asset=2)
genr g30=(firmn=30)*(asset=2)
genr g31=(firmn=31)*(asset=2)
genr g32=(firmn=32)*(asset=2)
genr g33=(firmn=33)*(asset=2)
genr g34=(firmn=34)*(asset=2)
genr g35=(firmn=35)*(asset=2)
genr g36=(firmn=36)*(asset=2)
genr g37=(firmn=37)*(asset=2)
genr g38=(firmn=38)*(asset=2)
genr g39=(firmn=39)*(asset=2)
genr g40=(firmn=40)*(asset=2)
genr g41=(firmn=41)*(asset=2)
genr g42=(firmn=42)*(asset=2)
genr g43=(firmn=43)*(asset=2)
genr g44=(firmn=44)*(asset=2)
genr g45=(firmn=45)*(asset=2)
genr g46=(firmn=46)*(asset=2)
genr g47=(firmn=47)*(asset=2)
genr g48=(firmn=48)*(asset=2)
genr g49=(firmn=49)*(asset=2)
genr g50=(firmn=50)*(asset=2)
genr g51=(firmn=51)*(asset=2)
genr g52=(firmn=52)*(asset=2)
genr g53=(firmn=53)*(asset=2)
genr g54=(firmn=54)*(asset=2)
genr g55=(firmn=55)*(asset=2)
genr g56=(firmn=56)*(asset=2)
genr g57=(firmn=57)*(asset=2)
genr g58=(firmn=58)*(asset=2)
genr g59=(firmn=59)*(asset=2)
genr g60=(firmn=60)*(asset=2)
genr g61=(firmn=61)*(asset=2)
genr g62=(firmn=62)*(asset=2)
genr g63=(firmn=63)*(asset=2)
genr g64=(firmn=64)*(asset=2)
genr g65=(firmn=65)*(asset=2)
genr g66=(firmn=66)*(asset=2)
genr g67=(firmn=67)*(asset=2)
genr g68=(firmn=68)*(asset=2)
genr g69=(firmn=69)*(asset=2)
genr g70=(firmn=70)*(asset=2)
genr g71=(firmn=71)*(asset=2)
genr g72=(firmn=72)*(asset=2)
genr g73=(firmn=73)*(asset=2)
genr g74=(firmn=74)*(asset=2)
genr g75=(firmn=75)*(asset=2)
genr g76=(firmn=76)*(asset=2)
genr g77=(firmn=77)*(asset=2)
genr g78=(firmn=78)*(asset=2)
genr g79=(firmn=79)*(asset=2)
genr g80=(firmn=80)*(asset=2)
genr g81=(firmn=81)*(asset=2)
genr g82=(firmn=82)*(asset=2)
genr g83=(firmn=83)*(asset=2)
genr g84=(firmn=84)*(asset=2)
genr g85=(firmn=85)*(asset=2)
genr g86=(firmn=86)*(asset=2)
genr g87=(firmn=87)*(asset=2)
genr g88=(firmn=88)*(asset=2)
genr g89=(firmn=89)*(asset=2)
genr g90=(firmn=90)*(asset=2)
genr g91=(firmn=91)*(asset=2)
genr g92=(firmn=92)*(asset=2)
genr g93=(firmn=93)*(asset=2)
genr g94=(firmn=94)*(asset=2)
genr g95=(firmn=95)*(asset=2)
genr g96=(firmn=96)*(asset=2)
genr g97=(firmn=97)*(asset=2)
genr g98=(firmn=98)*(asset=2)
genr g99=(firmn=99)*(asset=2)
genr g100=(firmn=100)*(asset=2)
'
' Convert Canadian prices into US$
'
smpl if (asset=3)
genr p=p/pdol
smpl @all
'
' Create the 2- and 1-day returns
'
sort sample asset firmn period
smpl if (firmn(+1)=firmn(-1))
genr lhs=p(+1)/p(-1)
genr rhs=p/p(-1)
'
' Sample 1: April-May 1999
'
' S&P stocks
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((sample=1)and(asset=1))and((firmn>00.5)and(firmn<50.5))and((period>1.5)and(period<42.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(121)*f21)+(c(122)*f22)+(c(123)*f23)+(c(124)*f24)+(c(125)*f25)+(c(126)*f26)+(c(127)*f27)+(c(128)*f28)+(c(129)*f29)+(c(130)*f30)+(c(131)*f31)+(c(132)*f32)+(c(133)*f33)+(c(134)*f34)+(c(135)*f35)+(c(136)*f36)+(c(137)*f37)+(c(138)*f38)+(c(139)*f39)+(c(140)*f40)+(c(141)*f41)+(c(142)*f42)+(c(143)*f43)+(c(144)*f44)+(c(145)*f45)+(c(146)*f46)+(c(147)*f47)+(c(148)*f48)+(c(149)*f49)+(c(150)*f50)+rhs)
e1st.results(p)
' Second Half
smpl if ((sample=1)and(asset=1))and((firmn>50.5)and(firmn<100.5))and((period>1.5)and(period<42.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(151)*f51)+(c(152)*f52)+(c(153)*f53)+(c(154)*f54)+(c(155)*f55)+(c(156)*f56)+(c(157)*f57)+(c(158)*f58)+(c(159)*f59)+(c(160)*f60)+(c(161)*f61)+(c(162)*f62)+(c(163)*f63)+(c(164)*f64)+(c(165)*f65)+(c(166)*f66)+(c(167)*f67)+(c(168)*f68)+(c(169)*f69)+(c(170)*f70)+(c(171)*f71)+(c(172)*f72)+(c(173)*f73)+(c(174)*f74)+(c(175)*f75)+(c(176)*f76)+(c(177)*f77)+(c(178)*f78)+(c(179)*f79)+(c(180)*f80)+(c(181)*f81)+(c(182)*f82)+(c(183)*f83)+(c(184)*f84)+(c(185)*f85)+(c(186)*f86)+(c(187)*f87)+(c(188)*f88)+(c(189)*f89)+(c(190)*f90)+(c(191)*f91)+(c(192)*f92)+(c(193)*f93)+(c(194)*f94)+(c(195)*f95)+(c(196)*f96)+(c(197)*f97)+(c(198)*f98)+(c(199)*f99)+(c(100)*f100)+rhs)
e2nd.results(p)
' All
smpl if ((sample=1)and(asset=1))and((firmn>00.5)and(firmn<100.5))and((period>1.5)and(period<42.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(121)*f21)+(c(122)*f22)+(c(123)*f23)+(c(124)*f24)+(c(125)*f25)+(c(126)*f26)+(c(127)*f27)+(c(128)*f28)+(c(129)*f29)+(c(130)*f30)+(c(131)*f31)+(c(132)*f32)+(c(133)*f33)+(c(134)*f34)+(c(135)*f35)+(c(136)*f36)+(c(137)*f37)+(c(138)*f38)+(c(139)*f39)+(c(140)*f40)+(c(141)*f41)+(c(142)*f42)+(c(143)*f43)+(c(144)*f44)+(c(145)*f45)+(c(146)*f46)+(c(147)*f47)+(c(148)*f48)+(c(149)*f49)+(c(150)*f50)+(c(151)*f51)+(c(152)*f52)+(c(153)*f53)+(c(154)*f54)+(c(155)*f55)+(c(156)*f56)+(c(157)*f57)+(c(158)*f58)+(c(159)*f59)+(c(160)*f60)+(c(161)*f61)+(c(162)*f62)+(c(163)*f63)+(c(164)*f64)+(c(165)*f65)+(c(166)*f66)+(c(167)*f67)+(c(168)*f68)+(c(169)*f69)+(c(170)*f70)+(c(171)*f71)+(c(172)*f72)+(c(173)*f73)+(c(174)*f74)+(c(175)*f75)+(c(176)*f76)+(c(177)*f77)+(c(178)*f78)+(c(179)*f79)+(c(180)*f80)+(c(181)*f81)+(c(182)*f82)+(c(183)*f83)+(c(184)*f84)+(c(185)*f85)+(c(186)*f86)+(c(187)*f87)+(c(188)*f88)+(c(189)*f89)+(c(190)*f90)+(c(191)*f91)+(c(192)*f92)+(c(193)*f93)+(c(194)*f94)+(c(195)*f95)+(c(196)*f96)+(c(197)*f97)+(c(198)*f98)+(c(199)*f99)+(c(100)*f100)+rhs)
eall.results(p)
'
' NASDAQ stocks
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((sample=1)and(asset=2))and((firmn>00.5)and(firmn<50.5))and((period>1.5)and(period<42.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(101)*g01)+(c(102)*g02)+(c(103)*g03)+(c(104)*g04)+(c(105)*g05)+(c(106)*g06)+(c(107)*g07)+(c(108)*g08)+(c(109)*g09)+(c(110)*g10)+(c(111)*g11)+(c(112)*g12)+(c(113)*g13)+(c(114)*g14)+(c(115)*g15)+(c(116)*g16)+(c(117)*g17)+(c(118)*g18)+(c(119)*g19)+(c(120)*g20)+(c(121)*g21)+(c(122)*g22)+(c(123)*g23)+(c(124)*g24)+(c(125)*g25)+(c(126)*g26)+(c(127)*g27)+(c(128)*g28)+(c(129)*g29)+(c(130)*g30)+(c(131)*g31)+(c(132)*g32)+(c(133)*g33)+(c(134)*g34)+(c(135)*g35)+(c(136)*g36)+(c(137)*g37)+(c(138)*g38)+(c(139)*g39)+(c(140)*g40)+(c(141)*g41)+(c(142)*g42)+(c(143)*g43)+(c(144)*g44)+(c(145)*g45)+(c(146)*g46)+(c(147)*g47)+(c(148)*g48)+(c(149)*g49)+(c(150)*g50)+rhs)
e1st.results(p)
' Second Half
smpl if ((sample=1)and(asset=2))and((firmn>50.5)and(firmn<100.5))and((period>1.5)and(period<42.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(151)*g51)+(c(152)*g52)+(c(153)*g53)+(c(154)*g54)+(c(155)*g55)+(c(156)*g56)+(c(157)*g57)+(c(158)*g58)+(c(159)*g59)+(c(160)*g60)+(c(161)*g61)+(c(162)*g62)+(c(163)*g63)+(c(164)*g64)+(c(165)*g65)+(c(166)*g66)+(c(167)*g67)+(c(168)*g68)+(c(169)*g69)+(c(170)*g70)+(c(171)*g71)+(c(172)*g72)+(c(173)*g73)+(c(174)*g74)+(c(175)*g75)+(c(176)*g76)+(c(177)*g77)+(c(178)*g78)+(c(179)*g79)+(c(180)*g80)+(c(181)*g81)+(c(182)*g82)+(c(183)*g83)+(c(184)*g84)+(c(185)*g85)+(c(186)*g86)+(c(187)*g87)+(c(188)*g88)+(c(189)*g89)+(c(190)*g90)+(c(191)*g91)+(c(192)*g92)+(c(193)*g93)+(c(194)*g94)+(c(195)*g95)+(c(196)*g96)+(c(197)*g97)+(c(198)*g98)+(c(199)*g99)+(c(100)*g100)+rhs)
e2nd.results(p)
' All
smpl if ((sample=1)and(asset=2))and((firmn>00.5)and(firmn<100.5))and((period>1.5)and(period<42.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(101)*g01)+(c(102)*g02)+(c(103)*g03)+(c(104)*g04)+(c(105)*g05)+(c(106)*g06)+(c(107)*g07)+(c(108)*g08)+(c(109)*g09)+(c(110)*g10)+(c(111)*g11)+(c(112)*g12)+(c(113)*g13)+(c(114)*g14)+(c(115)*g15)+(c(116)*g16)+(c(117)*g17)+(c(118)*g18)+(c(119)*g19)+(c(120)*g20)+(c(121)*g21)+(c(122)*g22)+(c(123)*g23)+(c(124)*g24)+(c(125)*g25)+(c(126)*g26)+(c(127)*g27)+(c(128)*g28)+(c(129)*g29)+(c(130)*g30)+(c(131)*g31)+(c(132)*g32)+(c(133)*g33)+(c(134)*g34)+(c(135)*g35)+(c(136)*g36)+(c(137)*g37)+(c(138)*g38)+(c(139)*g39)+(c(140)*g40)+(c(141)*g41)+(c(142)*g42)+(c(143)*g43)+(c(144)*g44)+(c(145)*g45)+(c(146)*g46)+(c(147)*g47)+(c(148)*g48)+(c(149)*g49)+(c(150)*g50)+(c(151)*g51)+(c(152)*g52)+(c(153)*g53)+(c(154)*g54)+(c(155)*g55)+(c(156)*g56)+(c(157)*g57)+(c(158)*g58)+(c(159)*g59)+(c(160)*g60)+(c(161)*g61)+(c(162)*g62)+(c(163)*g63)+(c(164)*g64)+(c(165)*g65)+(c(166)*g66)+(c(167)*g67)+(c(168)*g68)+(c(169)*g69)+(c(170)*g70)+(c(171)*g71)+(c(172)*g72)+(c(173)*g73)+(c(174)*g74)+(c(175)*g75)+(c(176)*g76)+(c(177)*g77)+(c(178)*g78)+(c(179)*g79)+(c(180)*g80)+(c(181)*g81)+(c(182)*g82)+(c(183)*g83)+(c(184)*g84)+(c(185)*g85)+(c(186)*g86)+(c(187)*g87)+(c(188)*g88)+(c(189)*g89)+(c(190)*g90)+(c(191)*g91)+(c(192)*g92)+(c(193)*g93)+(c(194)*g94)+(c(195)*g95)+(c(196)*g96)+(c(197)*g97)+(c(198)*g98)+(c(199)*g99)+(c(100)*g100)+rhs)
eall.results(p)
'
' Both S&P and NASDAQ stocks
'
smpl if ((sample=1)and((asset=1)or(asset=2)))and(((firmn>00.5)and(firmn<100.5))and((period>1.5)and(period<43.5)))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(121)*f21)+(c(122)*f22)+(c(123)*f23)+(c(124)*f24)+(c(125)*f25)+(c(126)*f26)+(c(127)*f27)+(c(128)*f28)+(c(129)*f29)+(c(130)*f30)+(c(131)*f31)+(c(132)*f32)+(c(133)*f33)+(c(134)*f34)+(c(135)*f35)+(c(136)*f36)+(c(137)*f37)+(c(138)*f38)+(c(139)*f39)+(c(140)*f40)+(c(141)*f41)+(c(142)*f42)+(c(143)*f43)+(c(144)*f44)+(c(145)*f45)+(c(146)*f46)+(c(147)*f47)+(c(148)*f48)+(c(149)*f49)+(c(150)*f50)+(c(151)*f51)+(c(152)*f52)+(c(153)*f53)+(c(154)*f54)+(c(155)*f55)+(c(156)*f56)+(c(157)*f57)+(c(158)*f58)+(c(159)*f59)+(c(160)*f60)+(c(161)*f61)+(c(162)*f62)+(c(163)*f63)+(c(164)*f64)+(c(165)*f65)+(c(166)*f66)+(c(167)*f67)+(c(168)*f68)+(c(169)*f69)+(c(170)*f70)+(c(171)*f71)+(c(172)*f72)+(c(173)*f73)+(c(174)*f74)+(c(175)*f75)+(c(176)*f76)+(c(177)*f77)+(c(178)*f78)+(c(179)*f79)+(c(180)*f80)+(c(181)*f81)+(c(182)*f82)+(c(183)*f83)+(c(184)*f84)+(c(185)*f85)+(c(186)*f86)+(c(187)*f87)+(c(188)*f88)+(c(189)*f89)+(c(190)*f90)+(c(191)*f91)+(c(192)*f92)+(c(193)*f93)+(c(194)*f94)+(c(195)*f95)+(c(196)*f96)+(c(197)*f97)+(c(198)*f98)+(c(199)*f99)+(c(100)*f100)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(221)*g21)+(c(222)*g22)+(c(223)*g23)+(c(224)*g24)+(c(225)*g25)+(c(226)*g26)+(c(227)*g27)+(c(228)*g28)+(c(229)*g29)+(c(230)*g30)+(c(231)*g31)+(c(232)*g32)+(c(233)*g33)+(c(234)*g34)+(c(235)*g35)+(c(236)*g36)+(c(237)*g37)+(c(238)*g38)+(c(239)*g39)+(c(240)*g40)+(c(241)*g41)+(c(242)*g42)+(c(243)*g43)+(c(244)*g44)+(c(245)*g45)+(c(246)*g46)+(c(247)*g47)+(c(248)*g48)+(c(249)*g49)+(c(250)*g50)+(c(251)*g51)+(c(252)*g52)+(c(253)*g53)+(c(254)*g54)+(c(255)*g55)+(c(256)*g56)+(c(257)*g57)+(c(258)*g58)+(c(259)*g59)+(c(260)*g60)+(c(261)*g61)+(c(262)*g62)+(c(263)*g63)+(c(264)*g64)+(c(265)*g65)+(c(266)*g66)+(c(267)*g67)+(c(268)*g68)+(c(269)*g69)+(c(270)*g70)+(c(271)*g71)+(c(272)*g72)+(c(273)*g73)+(c(274)*g74)+(c(275)*g75)+(c(276)*g76)+(c(277)*g77)+(c(278)*g78)+(c(279)*g79)+(c(280)*g80)+(c(281)*g81)+(c(282)*g82)+(c(283)*g83)+(c(284)*g84)+(c(285)*g85)+(c(286)*g86)+(c(287)*g87)+(c(288)*g88)+(c(289)*g89)+(c(290)*g90)+(c(291)*g91)+(c(292)*g92)+(c(293)*g93)+(c(294)*g94)+(c(295)*g95)+(c(296)*g96)+(c(297)*g97)+(c(298)*g98)+(c(299)*g99)+(c(200)*g100)+rhs)
eall.results(p)
'
' Sample 2: July-August 1999
'
' S&P stocks
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((sample=2)and(asset=1))and((firmn>00.5)and(firmn<50.5))and((period>1.5)and(period<43.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(121)*f21)+(c(122)*f22)+(c(123)*f23)+(c(124)*f24)+(c(125)*f25)+(c(126)*f26)+(c(127)*f27)+(c(128)*f28)+(c(129)*f29)+(c(130)*f30)+(c(131)*f31)+(c(132)*f32)+(c(133)*f33)+(c(134)*f34)+(c(135)*f35)+(c(136)*f36)+(c(137)*f37)+(c(138)*f38)+(c(139)*f39)+(c(140)*f40)+(c(141)*f41)+(c(142)*f42)+(c(143)*f43)+(c(144)*f44)+(c(145)*f45)+(c(146)*f46)+(c(147)*f47)+(c(148)*f48)+(c(149)*f49)+(c(150)*f50)+rhs)
e1st.results(p)
' Second Half
smpl if ((sample=2)and(asset=1))and((firmn>50.5)and(firmn<100.5))and((period>1.5)and(period<43.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(151)*f51)+(c(152)*f52)+(c(153)*f53)+(c(154)*f54)+(c(155)*f55)+(c(156)*f56)+(c(157)*f57)+(c(158)*f58)+(c(159)*f59)+(c(160)*f60)+(c(161)*f61)+(c(162)*f62)+(c(163)*f63)+(c(164)*f64)+(c(165)*f65)+(c(166)*f66)+(c(167)*f67)+(c(168)*f68)+(c(169)*f69)+(c(170)*f70)+(c(171)*f71)+(c(172)*f72)+(c(173)*f73)+(c(174)*f74)+(c(175)*f75)+(c(176)*f76)+(c(177)*f77)+(c(178)*f78)+(c(179)*f79)+(c(180)*f80)+(c(181)*f81)+(c(182)*f82)+(c(183)*f83)+(c(184)*f84)+(c(185)*f85)+(c(186)*f86)+(c(187)*f87)+(c(188)*f88)+(c(189)*f89)+(c(190)*f90)+(c(191)*f91)+(c(192)*f92)+(c(193)*f93)+(c(194)*f94)+(c(195)*f95)+(c(196)*f96)+(c(197)*f97)+(c(198)*f98)+(c(199)*f99)+(c(100)*f100)+rhs)
e2nd.results(p)
' All
smpl if ((sample=2)and(asset=1))and((firmn>00.5)and(firmn<100.5))and((period>1.5)and(period<43.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(121)*f21)+(c(122)*f22)+(c(123)*f23)+(c(124)*f24)+(c(125)*f25)+(c(126)*f26)+(c(127)*f27)+(c(128)*f28)+(c(129)*f29)+(c(130)*f30)+(c(131)*f31)+(c(132)*f32)+(c(133)*f33)+(c(134)*f34)+(c(135)*f35)+(c(136)*f36)+(c(137)*f37)+(c(138)*f38)+(c(139)*f39)+(c(140)*f40)+(c(141)*f41)+(c(142)*f42)+(c(143)*f43)+(c(144)*f44)+(c(145)*f45)+(c(146)*f46)+(c(147)*f47)+(c(148)*f48)+(c(149)*f49)+(c(150)*f50)+(c(151)*f51)+(c(152)*f52)+(c(153)*f53)+(c(154)*f54)+(c(155)*f55)+(c(156)*f56)+(c(157)*f57)+(c(158)*f58)+(c(159)*f59)+(c(160)*f60)+(c(161)*f61)+(c(162)*f62)+(c(163)*f63)+(c(164)*f64)+(c(165)*f65)+(c(166)*f66)+(c(167)*f67)+(c(168)*f68)+(c(169)*f69)+(c(170)*f70)+(c(171)*f71)+(c(172)*f72)+(c(173)*f73)+(c(174)*f74)+(c(175)*f75)+(c(176)*f76)+(c(177)*f77)+(c(178)*f78)+(c(179)*f79)+(c(180)*f80)+(c(181)*f81)+(c(182)*f82)+(c(183)*f83)+(c(184)*f84)+(c(185)*f85)+(c(186)*f86)+(c(187)*f87)+(c(188)*f88)+(c(189)*f89)+(c(190)*f90)+(c(191)*f91)+(c(192)*f92)+(c(193)*f93)+(c(194)*f94)+(c(195)*f95)+(c(196)*f96)+(c(197)*f97)+(c(198)*f98)+(c(199)*f99)+(c(100)*f100)+rhs)
eall.results(p)
'
' NASDAQ stocks
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((sample=2)and(asset=2))and((firmn>00.5)and(firmn<50.5))and((period>1.5)and(period<43.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(101)*g01)+(c(102)*g02)+(c(103)*g03)+(c(104)*g04)+(c(105)*g05)+(c(106)*g06)+(c(107)*g07)+(c(108)*g08)+(c(109)*g09)+(c(110)*g10)+(c(111)*g11)+(c(112)*g12)+(c(113)*g13)+(c(114)*g14)+(c(115)*g15)+(c(116)*g16)+(c(117)*g17)+(c(118)*g18)+(c(119)*g19)+(c(120)*g20)+(c(121)*g21)+(c(122)*g22)+(c(123)*g23)+(c(124)*g24)+(c(125)*g25)+(c(126)*g26)+(c(127)*g27)+(c(128)*g28)+(c(129)*g29)+(c(130)*g30)+(c(131)*g31)+(c(132)*g32)+(c(133)*g33)+(c(134)*g34)+(c(135)*g35)+(c(136)*g36)+(c(137)*g37)+(c(138)*g38)+(c(139)*g39)+(c(140)*g40)+(c(141)*g41)+(c(142)*g42)+(c(143)*g43)+(c(144)*g44)+(c(145)*g45)+(c(146)*g46)+(c(147)*g47)+(c(148)*g48)+(c(149)*g49)+(c(150)*g50)+rhs)
e1st.results(p)
' Second Half
smpl if ((sample=2)and(asset=2))and((firmn>50.5)and(firmn<100.5))and((period>1.5)and(period<43.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(151)*g51)+(c(152)*g52)+(c(153)*g53)+(c(154)*g54)+(c(155)*g55)+(c(156)*g56)+(c(157)*g57)+(c(158)*g58)+(c(159)*g59)+(c(160)*g60)+(c(161)*g61)+(c(162)*g62)+(c(163)*g63)+(c(164)*g64)+(c(165)*g65)+(c(166)*g66)+(c(167)*g67)+(c(168)*g68)+(c(169)*g69)+(c(170)*g70)+(c(171)*g71)+(c(172)*g72)+(c(173)*g73)+(c(174)*g74)+(c(175)*g75)+(c(176)*g76)+(c(177)*g77)+(c(178)*g78)+(c(179)*g79)+(c(180)*g80)+(c(181)*g81)+(c(182)*g82)+(c(183)*g83)+(c(184)*g84)+(c(185)*g85)+(c(186)*g86)+(c(187)*g87)+(c(188)*g88)+(c(189)*g89)+(c(190)*g90)+(c(191)*g91)+(c(192)*g92)+(c(193)*g93)+(c(194)*g94)+(c(195)*g95)+(c(196)*g96)+(c(197)*g97)+(c(198)*g98)+(c(199)*g99)+(c(100)*g100)+rhs)
e2nd.results(p)
' All
smpl if ((sample=2)and(asset=2))and((firmn>00.5)and(firmn<100.5))and((period>1.5)and(period<43.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(101)*g01)+(c(102)*g02)+(c(103)*g03)+(c(104)*g04)+(c(105)*g05)+(c(106)*g06)+(c(107)*g07)+(c(108)*g08)+(c(109)*g09)+(c(110)*g10)+(c(111)*g11)+(c(112)*g12)+(c(113)*g13)+(c(114)*g14)+(c(115)*g15)+(c(116)*g16)+(c(117)*g17)+(c(118)*g18)+(c(119)*g19)+(c(120)*g20)+(c(121)*g21)+(c(122)*g22)+(c(123)*g23)+(c(124)*g24)+(c(125)*g25)+(c(126)*g26)+(c(127)*g27)+(c(128)*g28)+(c(129)*g29)+(c(130)*g30)+(c(131)*g31)+(c(132)*g32)+(c(133)*g33)+(c(134)*g34)+(c(135)*g35)+(c(136)*g36)+(c(137)*g37)+(c(138)*g38)+(c(139)*g39)+(c(140)*g40)+(c(141)*g41)+(c(142)*g42)+(c(143)*g43)+(c(144)*g44)+(c(145)*g45)+(c(146)*g46)+(c(147)*g47)+(c(148)*g48)+(c(149)*g49)+(c(150)*g50)+(c(151)*g51)+(c(152)*g52)+(c(153)*g53)+(c(154)*g54)+(c(155)*g55)+(c(156)*g56)+(c(157)*g57)+(c(158)*g58)+(c(159)*g59)+(c(160)*g60)+(c(161)*g61)+(c(162)*g62)+(c(163)*g63)+(c(164)*g64)+(c(165)*g65)+(c(166)*g66)+(c(167)*g67)+(c(168)*g68)+(c(169)*g69)+(c(170)*g70)+(c(171)*g71)+(c(172)*g72)+(c(173)*g73)+(c(174)*g74)+(c(175)*g75)+(c(176)*g76)+(c(177)*g77)+(c(178)*g78)+(c(179)*g79)+(c(180)*g80)+(c(181)*g81)+(c(182)*g82)+(c(183)*g83)+(c(184)*g84)+(c(185)*g85)+(c(186)*g86)+(c(187)*g87)+(c(188)*g88)+(c(189)*g89)+(c(190)*g90)+(c(191)*g91)+(c(192)*g92)+(c(193)*g93)+(c(194)*g94)+(c(195)*g95)+(c(196)*g96)+(c(197)*g97)+(c(198)*g98)+(c(199)*g99)+(c(100)*g100)+rhs)
eall.results(p)
'
' Both S&P and NASDAQ stocks
'
smpl if ((sample=2)and((asset=1)or(asset=2)))and(((firmn>00.5)and(firmn<100.5))and((period>1.5)and(period<43.5)))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(121)*f21)+(c(122)*f22)+(c(123)*f23)+(c(124)*f24)+(c(125)*f25)+(c(126)*f26)+(c(127)*f27)+(c(128)*f28)+(c(129)*f29)+(c(130)*f30)+(c(131)*f31)+(c(132)*f32)+(c(133)*f33)+(c(134)*f34)+(c(135)*f35)+(c(136)*f36)+(c(137)*f37)+(c(138)*f38)+(c(139)*f39)+(c(140)*f40)+(c(141)*f41)+(c(142)*f42)+(c(143)*f43)+(c(144)*f44)+(c(145)*f45)+(c(146)*f46)+(c(147)*f47)+(c(148)*f48)+(c(149)*f49)+(c(150)*f50)+(c(151)*f51)+(c(152)*f52)+(c(153)*f53)+(c(154)*f54)+(c(155)*f55)+(c(156)*f56)+(c(157)*f57)+(c(158)*f58)+(c(159)*f59)+(c(160)*f60)+(c(161)*f61)+(c(162)*f62)+(c(163)*f63)+(c(164)*f64)+(c(165)*f65)+(c(166)*f66)+(c(167)*f67)+(c(168)*f68)+(c(169)*f69)+(c(170)*f70)+(c(171)*f71)+(c(172)*f72)+(c(173)*f73)+(c(174)*f74)+(c(175)*f75)+(c(176)*f76)+(c(177)*f77)+(c(178)*f78)+(c(179)*f79)+(c(180)*f80)+(c(181)*f81)+(c(182)*f82)+(c(183)*f83)+(c(184)*f84)+(c(185)*f85)+(c(186)*f86)+(c(187)*f87)+(c(188)*f88)+(c(189)*f89)+(c(190)*f90)+(c(191)*f91)+(c(192)*f92)+(c(193)*f93)+(c(194)*f94)+(c(195)*f95)+(c(196)*f96)+(c(197)*f97)+(c(198)*f98)+(c(199)*f99)+(c(100)*f100)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(221)*g21)+(c(222)*g22)+(c(223)*g23)+(c(224)*g24)+(c(225)*g25)+(c(226)*g26)+(c(227)*g27)+(c(228)*g28)+(c(229)*g29)+(c(230)*g30)+(c(231)*g31)+(c(232)*g32)+(c(233)*g33)+(c(234)*g34)+(c(235)*g35)+(c(236)*g36)+(c(237)*g37)+(c(238)*g38)+(c(239)*g39)+(c(240)*g40)+(c(241)*g41)+(c(242)*g42)+(c(243)*g43)+(c(244)*g44)+(c(245)*g45)+(c(246)*g46)+(c(247)*g47)+(c(248)*g48)+(c(249)*g49)+(c(250)*g50)+(c(251)*g51)+(c(252)*g52)+(c(253)*g53)+(c(254)*g54)+(c(255)*g55)+(c(256)*g56)+(c(257)*g57)+(c(258)*g58)+(c(259)*g59)+(c(260)*g60)+(c(261)*g61)+(c(262)*g62)+(c(263)*g63)+(c(264)*g64)+(c(265)*g65)+(c(266)*g66)+(c(267)*g67)+(c(268)*g68)+(c(269)*g69)+(c(270)*g70)+(c(271)*g71)+(c(272)*g72)+(c(273)*g73)+(c(274)*g74)+(c(275)*g75)+(c(276)*g76)+(c(277)*g77)+(c(278)*g78)+(c(279)*g79)+(c(280)*g80)+(c(281)*g81)+(c(282)*g82)+(c(283)*g83)+(c(284)*g84)+(c(285)*g85)+(c(286)*g86)+(c(287)*g87)+(c(288)*g88)+(c(289)*g89)+(c(290)*g90)+(c(291)*g91)+(c(292)*g92)+(c(293)*g93)+(c(294)*g94)+(c(295)*g95)+(c(296)*g96)+(c(297)*g97)+(c(298)*g98)+(c(299)*g99)+(c(200)*g100)+rhs)
eall.results(p)
'
' Sample 3: October-November 1999
'
' S&P stocks
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((sample=3)and(asset=1))and((firmn>00.5)and(firmn<50.5))and((period>1.5)and(period<42.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(121)*f21)+(c(122)*f22)+(c(123)*f23)+(c(124)*f24)+(c(125)*f25)+(c(126)*f26)+(c(127)*f27)+(c(128)*f28)+(c(129)*f29)+(c(130)*f30)+(c(131)*f31)+(c(132)*f32)+(c(133)*f33)+(c(134)*f34)+(c(135)*f35)+(c(136)*f36)+(c(137)*f37)+(c(138)*f38)+(c(139)*f39)+(c(140)*f40)+(c(141)*f41)+(c(142)*f42)+(c(143)*f43)+(c(144)*f44)+(c(145)*f45)+(c(146)*f46)+(c(147)*f47)+(c(148)*f48)+(c(149)*f49)+(c(150)*f50)+rhs)
e1st.results(p)
' Second Half
smpl if ((sample=3)and(asset=1))and((firmn>50.5)and(firmn<100.5))and((period>1.5)and(period<42.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(151)*f51)+(c(152)*f52)+(c(153)*f53)+(c(154)*f54)+(c(155)*f55)+(c(156)*f56)+(c(157)*f57)+(c(158)*f58)+(c(159)*f59)+(c(160)*f60)+(c(161)*f61)+(c(162)*f62)+(c(163)*f63)+(c(164)*f64)+(c(165)*f65)+(c(166)*f66)+(c(167)*f67)+(c(168)*f68)+(c(169)*f69)+(c(170)*f70)+(c(171)*f71)+(c(172)*f72)+(c(173)*f73)+(c(174)*f74)+(c(175)*f75)+(c(176)*f76)+(c(177)*f77)+(c(178)*f78)+(c(179)*f79)+(c(180)*f80)+(c(181)*f81)+(c(182)*f82)+(c(183)*f83)+(c(184)*f84)+(c(185)*f85)+(c(186)*f86)+(c(187)*f87)+(c(188)*f88)+(c(189)*f89)+(c(190)*f90)+(c(191)*f91)+(c(192)*f92)+(c(193)*f93)+(c(194)*f94)+(c(195)*f95)+(c(196)*f96)+(c(197)*f97)+(c(198)*f98)+(c(199)*f99)+(c(100)*f100)+rhs)
e2nd.results(p)
' All
smpl if ((sample=3)and(asset=1))and((firmn>00.5)and(firmn<100.5))and((period>1.5)and(period<42.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(121)*f21)+(c(122)*f22)+(c(123)*f23)+(c(124)*f24)+(c(125)*f25)+(c(126)*f26)+(c(127)*f27)+(c(128)*f28)+(c(129)*f29)+(c(130)*f30)+(c(131)*f31)+(c(132)*f32)+(c(133)*f33)+(c(134)*f34)+(c(135)*f35)+(c(136)*f36)+(c(137)*f37)+(c(138)*f38)+(c(139)*f39)+(c(140)*f40)+(c(141)*f41)+(c(142)*f42)+(c(143)*f43)+(c(144)*f44)+(c(145)*f45)+(c(146)*f46)+(c(147)*f47)+(c(148)*f48)+(c(149)*f49)+(c(150)*f50)+(c(151)*f51)+(c(152)*f52)+(c(153)*f53)+(c(154)*f54)+(c(155)*f55)+(c(156)*f56)+(c(157)*f57)+(c(158)*f58)+(c(159)*f59)+(c(160)*f60)+(c(161)*f61)+(c(162)*f62)+(c(163)*f63)+(c(164)*f64)+(c(165)*f65)+(c(166)*f66)+(c(167)*f67)+(c(168)*f68)+(c(169)*f69)+(c(170)*f70)+(c(171)*f71)+(c(172)*f72)+(c(173)*f73)+(c(174)*f74)+(c(175)*f75)+(c(176)*f76)+(c(177)*f77)+(c(178)*f78)+(c(179)*f79)+(c(180)*f80)+(c(181)*f81)+(c(182)*f82)+(c(183)*f83)+(c(184)*f84)+(c(185)*f85)+(c(186)*f86)+(c(187)*f87)+(c(188)*f88)+(c(189)*f89)+(c(190)*f90)+(c(191)*f91)+(c(192)*f92)+(c(193)*f93)+(c(194)*f94)+(c(195)*f95)+(c(196)*f96)+(c(197)*f97)+(c(198)*f98)+(c(199)*f99)+(c(100)*f100)+rhs)
eall.results(p)
'
' NASDAQ stocks
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((sample=3)and(asset=2))and((firmn>00.5)and(firmn<50.5))and((period>1.5)and(period<42.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(101)*g01)+(c(102)*g02)+(c(103)*g03)+(c(104)*g04)+(c(105)*g05)+(c(106)*g06)+(c(107)*g07)+(c(108)*g08)+(c(109)*g09)+(c(110)*g10)+(c(111)*g11)+(c(112)*g12)+(c(113)*g13)+(c(114)*g14)+(c(115)*g15)+(c(116)*g16)+(c(117)*g17)+(c(118)*g18)+(c(119)*g19)+(c(120)*g20)+(c(121)*g21)+(c(122)*g22)+(c(123)*g23)+(c(124)*g24)+(c(125)*g25)+(c(126)*g26)+(c(127)*g27)+(c(128)*g28)+(c(129)*g29)+(c(130)*g30)+(c(131)*g31)+(c(132)*g32)+(c(133)*g33)+(c(134)*g34)+(c(135)*g35)+(c(136)*g36)+(c(137)*g37)+(c(138)*g38)+(c(139)*g39)+(c(140)*g40)+(c(141)*g41)+(c(142)*g42)+(c(143)*g43)+(c(144)*g44)+(c(145)*g45)+(c(146)*g46)+(c(147)*g47)+(c(148)*g48)+(c(149)*g49)+(c(150)*g50)+rhs)
e1st.results(p)
' Second Half
smpl if ((sample=3)and(asset=2))and((firmn>50.5)and(firmn<100.5))and((period>1.5)and(period<42.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(151)*g51)+(c(152)*g52)+(c(153)*g53)+(c(154)*g54)+(c(155)*g55)+(c(156)*g56)+(c(157)*g57)+(c(158)*g58)+(c(159)*g59)+(c(160)*g60)+(c(161)*g61)+(c(162)*g62)+(c(163)*g63)+(c(164)*g64)+(c(165)*g65)+(c(166)*g66)+(c(167)*g67)+(c(168)*g68)+(c(169)*g69)+(c(170)*g70)+(c(171)*g71)+(c(172)*g72)+(c(173)*g73)+(c(174)*g74)+(c(175)*g75)+(c(176)*g76)+(c(177)*g77)+(c(178)*g78)+(c(179)*g79)+(c(180)*g80)+(c(181)*g81)+(c(182)*g82)+(c(183)*g83)+(c(184)*g84)+(c(185)*g85)+(c(186)*g86)+(c(187)*g87)+(c(188)*g88)+(c(189)*g89)+(c(190)*g90)+(c(191)*g91)+(c(192)*g92)+(c(193)*g93)+(c(194)*g94)+(c(195)*g95)+(c(196)*g96)+(c(197)*g97)+(c(198)*g98)+(c(199)*g99)+(c(100)*g100)+rhs)
e2nd.results(p)
' All
smpl if ((sample=3)and(asset=2))and((firmn>00.5)and(firmn<100.5))and((period>1.5)and(period<42.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(101)*g01)+(c(102)*g02)+(c(103)*g03)+(c(104)*g04)+(c(105)*g05)+(c(106)*g06)+(c(107)*g07)+(c(108)*g08)+(c(109)*g09)+(c(110)*g10)+(c(111)*g11)+(c(112)*g12)+(c(113)*g13)+(c(114)*g14)+(c(115)*g15)+(c(116)*g16)+(c(117)*g17)+(c(118)*g18)+(c(119)*g19)+(c(120)*g20)+(c(121)*g21)+(c(122)*g22)+(c(123)*g23)+(c(124)*g24)+(c(125)*g25)+(c(126)*g26)+(c(127)*g27)+(c(128)*g28)+(c(129)*g29)+(c(130)*g30)+(c(131)*g31)+(c(132)*g32)+(c(133)*g33)+(c(134)*g34)+(c(135)*g35)+(c(136)*g36)+(c(137)*g37)+(c(138)*g38)+(c(139)*g39)+(c(140)*g40)+(c(141)*g41)+(c(142)*g42)+(c(143)*g43)+(c(144)*g44)+(c(145)*g45)+(c(146)*g46)+(c(147)*g47)+(c(148)*g48)+(c(149)*g49)+(c(150)*g50)+(c(151)*g51)+(c(152)*g52)+(c(153)*g53)+(c(154)*g54)+(c(155)*g55)+(c(156)*g56)+(c(157)*g57)+(c(158)*g58)+(c(159)*g59)+(c(160)*g60)+(c(161)*g61)+(c(162)*g62)+(c(163)*g63)+(c(164)*g64)+(c(165)*g65)+(c(166)*g66)+(c(167)*g67)+(c(168)*g68)+(c(169)*g69)+(c(170)*g70)+(c(171)*g71)+(c(172)*g72)+(c(173)*g73)+(c(174)*g74)+(c(175)*g75)+(c(176)*g76)+(c(177)*g77)+(c(178)*g78)+(c(179)*g79)+(c(180)*g80)+(c(181)*g81)+(c(182)*g82)+(c(183)*g83)+(c(184)*g84)+(c(185)*g85)+(c(186)*g86)+(c(187)*g87)+(c(188)*g88)+(c(189)*g89)+(c(190)*g90)+(c(191)*g91)+(c(192)*g92)+(c(193)*g93)+(c(194)*g94)+(c(195)*g95)+(c(196)*g96)+(c(197)*g97)+(c(198)*g98)+(c(199)*g99)+(c(100)*g100)+rhs)
eall.results(p)
'
' Both S&P and NASDAQ stocks
'
smpl if ((sample=3)and((asset=1)or(asset=2)))and(((firmn>00.5)and(firmn<100.5))and((period>1.5)and(period<42.5)))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(121)*f21)+(c(122)*f22)+(c(123)*f23)+(c(124)*f24)+(c(125)*f25)+(c(126)*f26)+(c(127)*f27)+(c(128)*f28)+(c(129)*f29)+(c(130)*f30)+(c(131)*f31)+(c(132)*f32)+(c(133)*f33)+(c(134)*f34)+(c(135)*f35)+(c(136)*f36)+(c(137)*f37)+(c(138)*f38)+(c(139)*f39)+(c(140)*f40)+(c(141)*f41)+(c(142)*f42)+(c(143)*f43)+(c(144)*f44)+(c(145)*f45)+(c(146)*f46)+(c(147)*f47)+(c(148)*f48)+(c(149)*f49)+(c(150)*f50)+(c(151)*f51)+(c(152)*f52)+(c(153)*f53)+(c(154)*f54)+(c(155)*f55)+(c(156)*f56)+(c(157)*f57)+(c(158)*f58)+(c(159)*f59)+(c(160)*f60)+(c(161)*f61)+(c(162)*f62)+(c(163)*f63)+(c(164)*f64)+(c(165)*f65)+(c(166)*f66)+(c(167)*f67)+(c(168)*f68)+(c(169)*f69)+(c(170)*f70)+(c(171)*f71)+(c(172)*f72)+(c(173)*f73)+(c(174)*f74)+(c(175)*f75)+(c(176)*f76)+(c(177)*f77)+(c(178)*f78)+(c(179)*f79)+(c(180)*f80)+(c(181)*f81)+(c(182)*f82)+(c(183)*f83)+(c(184)*f84)+(c(185)*f85)+(c(186)*f86)+(c(187)*f87)+(c(188)*f88)+(c(189)*f89)+(c(190)*f90)+(c(191)*f91)+(c(192)*f92)+(c(193)*f93)+(c(194)*f94)+(c(195)*f95)+(c(196)*f96)+(c(197)*f97)+(c(198)*f98)+(c(199)*f99)+(c(100)*f100)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(221)*g21)+(c(222)*g22)+(c(223)*g23)+(c(224)*g24)+(c(225)*g25)+(c(226)*g26)+(c(227)*g27)+(c(228)*g28)+(c(229)*g29)+(c(230)*g30)+(c(231)*g31)+(c(232)*g32)+(c(233)*g33)+(c(234)*g34)+(c(235)*g35)+(c(236)*g36)+(c(237)*g37)+(c(238)*g38)+(c(239)*g39)+(c(240)*g40)+(c(241)*g41)+(c(242)*g42)+(c(243)*g43)+(c(244)*g44)+(c(245)*g45)+(c(246)*g46)+(c(247)*g47)+(c(248)*g48)+(c(249)*g49)+(c(250)*g50)+(c(251)*g51)+(c(252)*g52)+(c(253)*g53)+(c(254)*g54)+(c(255)*g55)+(c(256)*g56)+(c(257)*g57)+(c(258)*g58)+(c(259)*g59)+(c(260)*g60)+(c(261)*g61)+(c(262)*g62)+(c(263)*g63)+(c(264)*g64)+(c(265)*g65)+(c(266)*g66)+(c(267)*g67)+(c(268)*g68)+(c(269)*g69)+(c(270)*g70)+(c(271)*g71)+(c(272)*g72)+(c(273)*g73)+(c(274)*g74)+(c(275)*g75)+(c(276)*g76)+(c(277)*g77)+(c(278)*g78)+(c(279)*g79)+(c(280)*g80)+(c(281)*g81)+(c(282)*g82)+(c(283)*g83)+(c(284)*g84)+(c(285)*g85)+(c(286)*g86)+(c(287)*g87)+(c(288)*g88)+(c(289)*g89)+(c(290)*g90)+(c(291)*g91)+(c(292)*g92)+(c(293)*g93)+(c(294)*g94)+(c(295)*g95)+(c(296)*g96)+(c(297)*g97)+(c(298)*g98)+(c(299)*g99)+(c(200)*g100)+rhs)
eall.results(p)
'
' Sample 4: April-May 2002
'
' S&P stocks
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((sample=4)and(asset=1))and((firmn>00.5)and(firmn<50.5))and((period>1.5)and(period<44.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43)+(c(44)*t44))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(121)*f21)+(c(122)*f22)+(c(123)*f23)+(c(124)*f24)+(c(125)*f25)+(c(126)*f26)+(c(127)*f27)+(c(128)*f28)+(c(129)*f29)+(c(130)*f30)+(c(131)*f31)+(c(132)*f32)+(c(133)*f33)+(c(134)*f34)+(c(135)*f35)+(c(136)*f36)+(c(137)*f37)+(c(138)*f38)+(c(139)*f39)+(c(140)*f40)+(c(141)*f41)+(c(142)*f42)+(c(143)*f43)+(c(144)*f44)+(c(145)*f45)+(c(146)*f46)+(c(147)*f47)+(c(148)*f48)+(c(149)*f49)+(c(150)*f50)+rhs)
e1st.results(p)
' Second Half
smpl if ((sample=4)and(asset=1))and((firmn>50.5)and(firmn<100.5))and((period>1.5)and(period<44.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43)+(c(44)*t44))*((c(151)*f51)+(c(152)*f52)+(c(153)*f53)+(c(154)*f54)+(c(155)*f55)+(c(156)*f56)+(c(157)*f57)+(c(158)*f58)+(c(159)*f59)+(c(160)*f60)+(c(161)*f61)+(c(162)*f62)+(c(163)*f63)+(c(164)*f64)+(c(165)*f65)+(c(166)*f66)+(c(167)*f67)+(c(168)*f68)+(c(169)*f69)+(c(170)*f70)+(c(171)*f71)+(c(172)*f72)+(c(173)*f73)+(c(174)*f74)+(c(175)*f75)+(c(176)*f76)+(c(177)*f77)+(c(178)*f78)+(c(179)*f79)+(c(180)*f80)+(c(181)*f81)+(c(182)*f82)+(c(183)*f83)+(c(184)*f84)+(c(185)*f85)+(c(186)*f86)+(c(187)*f87)+(c(188)*f88)+(c(189)*f89)+(c(190)*f90)+(c(191)*f91)+(c(192)*f92)+(c(193)*f93)+(c(194)*f94)+(c(195)*f95)+(c(196)*f96)+(c(197)*f97)+(c(198)*f98)+(c(199)*f99)+(c(100)*f100)+rhs)
e2nd.results(p)
' All
smpl if ((sample=4)and(asset=1))and((firmn>00.5)and(firmn<100.5))and((period>1.5)and(period<44.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43)+(c(44)*t44))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(121)*f21)+(c(122)*f22)+(c(123)*f23)+(c(124)*f24)+(c(125)*f25)+(c(126)*f26)+(c(127)*f27)+(c(128)*f28)+(c(129)*f29)+(c(130)*f30)+(c(131)*f31)+(c(132)*f32)+(c(133)*f33)+(c(134)*f34)+(c(135)*f35)+(c(136)*f36)+(c(137)*f37)+(c(138)*f38)+(c(139)*f39)+(c(140)*f40)+(c(141)*f41)+(c(142)*f42)+(c(143)*f43)+(c(144)*f44)+(c(145)*f45)+(c(146)*f46)+(c(147)*f47)+(c(148)*f48)+(c(149)*f49)+(c(150)*f50)+(c(151)*f51)+(c(152)*f52)+(c(153)*f53)+(c(154)*f54)+(c(155)*f55)+(c(156)*f56)+(c(157)*f57)+(c(158)*f58)+(c(159)*f59)+(c(160)*f60)+(c(161)*f61)+(c(162)*f62)+(c(163)*f63)+(c(164)*f64)+(c(165)*f65)+(c(166)*f66)+(c(167)*f67)+(c(168)*f68)+(c(169)*f69)+(c(170)*f70)+(c(171)*f71)+(c(172)*f72)+(c(173)*f73)+(c(174)*f74)+(c(175)*f75)+(c(176)*f76)+(c(177)*f77)+(c(178)*f78)+(c(179)*f79)+(c(180)*f80)+(c(181)*f81)+(c(182)*f82)+(c(183)*f83)+(c(184)*f84)+(c(185)*f85)+(c(186)*f86)+(c(187)*f87)+(c(188)*f88)+(c(189)*f89)+(c(190)*f90)+(c(191)*f91)+(c(192)*f92)+(c(193)*f93)+(c(194)*f94)+(c(195)*f95)+(c(196)*f96)+(c(197)*f97)+(c(198)*f98)+(c(199)*f99)+(c(100)*f100)+rhs)
eall.results(p)
'
' NASDAQ stocks
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((sample=4)and(asset=2))and((firmn>00.5)and(firmn<50.5))and((period>1.5)and(period<44.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43)+(c(44)*t44))*((c(101)*g01)+(c(102)*g02)+(c(103)*g03)+(c(104)*g04)+(c(105)*g05)+(c(106)*g06)+(c(107)*g07)+(c(108)*g08)+(c(109)*g09)+(c(110)*g10)+(c(111)*g11)+(c(112)*g12)+(c(113)*g13)+(c(114)*g14)+(c(115)*g15)+(c(116)*g16)+(c(117)*g17)+(c(118)*g18)+(c(119)*g19)+(c(120)*g20)+(c(121)*g21)+(c(122)*g22)+(c(123)*g23)+(c(124)*g24)+(c(125)*g25)+(c(126)*g26)+(c(127)*g27)+(c(128)*g28)+(c(129)*g29)+(c(130)*g30)+(c(131)*g31)+(c(132)*g32)+(c(133)*g33)+(c(134)*g34)+(c(135)*g35)+(c(136)*g36)+(c(137)*g37)+(c(138)*g38)+(c(139)*g39)+(c(140)*g40)+(c(141)*g41)+(c(142)*g42)+(c(143)*g43)+(c(144)*g44)+(c(145)*g45)+(c(146)*g46)+(c(147)*g47)+(c(148)*g48)+(c(149)*g49)+(c(150)*g50)+rhs)
e1st.results(p)
' Second Half
smpl if ((sample=4)and(asset=2))and((firmn>50.5)and(firmn<100.5))and((period>1.5)and(period<44.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43)+(c(44)*t44))*((c(151)*g51)+(c(152)*g52)+(c(153)*g53)+(c(154)*g54)+(c(155)*g55)+(c(156)*g56)+(c(157)*g57)+(c(158)*g58)+(c(159)*g59)+(c(160)*g60)+(c(161)*g61)+(c(162)*g62)+(c(163)*g63)+(c(164)*g64)+(c(165)*g65)+(c(166)*g66)+(c(167)*g67)+(c(168)*g68)+(c(169)*g69)+(c(170)*g70)+(c(171)*g71)+(c(172)*g72)+(c(173)*g73)+(c(174)*g74)+(c(175)*g75)+(c(176)*g76)+(c(177)*g77)+(c(178)*g78)+(c(179)*g79)+(c(180)*g80)+(c(181)*g81)+(c(182)*g82)+(c(183)*g83)+(c(184)*g84)+(c(185)*g85)+(c(186)*g86)+(c(187)*g87)+(c(188)*g88)+(c(189)*g89)+(c(190)*g90)+(c(191)*g91)+(c(192)*g92)+(c(193)*g93)+(c(194)*g94)+(c(195)*g95)+(c(196)*g96)+(c(197)*g97)+(c(198)*g98)+(c(199)*g99)+(c(100)*g100)+rhs)
e2nd.results(p)
' All
smpl if ((sample=4)and(asset=2))and((firmn>00.5)and(firmn<100.5))and((period>1.5)and(period<44.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43)+(c(44)*t44))*((c(101)*g01)+(c(102)*g02)+(c(103)*g03)+(c(104)*g04)+(c(105)*g05)+(c(106)*g06)+(c(107)*g07)+(c(108)*g08)+(c(109)*g09)+(c(110)*g10)+(c(111)*g11)+(c(112)*g12)+(c(113)*g13)+(c(114)*g14)+(c(115)*g15)+(c(116)*g16)+(c(117)*g17)+(c(118)*g18)+(c(119)*g19)+(c(120)*g20)+(c(121)*g21)+(c(122)*g22)+(c(123)*g23)+(c(124)*g24)+(c(125)*g25)+(c(126)*g26)+(c(127)*g27)+(c(128)*g28)+(c(129)*g29)+(c(130)*g30)+(c(131)*g31)+(c(132)*g32)+(c(133)*g33)+(c(134)*g34)+(c(135)*g35)+(c(136)*g36)+(c(137)*g37)+(c(138)*g38)+(c(139)*g39)+(c(140)*g40)+(c(141)*g41)+(c(142)*g42)+(c(143)*g43)+(c(144)*g44)+(c(145)*g45)+(c(146)*g46)+(c(147)*g47)+(c(148)*g48)+(c(149)*g49)+(c(150)*g50)+(c(151)*g51)+(c(152)*g52)+(c(153)*g53)+(c(154)*g54)+(c(155)*g55)+(c(156)*g56)+(c(157)*g57)+(c(158)*g58)+(c(159)*g59)+(c(160)*g60)+(c(161)*g61)+(c(162)*g62)+(c(163)*g63)+(c(164)*g64)+(c(165)*g65)+(c(166)*g66)+(c(167)*g67)+(c(168)*g68)+(c(169)*g69)+(c(170)*g70)+(c(171)*g71)+(c(172)*g72)+(c(173)*g73)+(c(174)*g74)+(c(175)*g75)+(c(176)*g76)+(c(177)*g77)+(c(178)*g78)+(c(179)*g79)+(c(180)*g80)+(c(181)*g81)+(c(182)*g82)+(c(183)*g83)+(c(184)*g84)+(c(185)*g85)+(c(186)*g86)+(c(187)*g87)+(c(188)*g88)+(c(189)*g89)+(c(190)*g90)+(c(191)*g91)+(c(192)*g92)+(c(193)*g93)+(c(194)*g94)+(c(195)*g95)+(c(196)*g96)+(c(197)*g97)+(c(198)*g98)+(c(199)*g99)+(c(100)*g100)+rhs)
eall.results(p)
'
' Both S&P and NASDAQ stocks
'
smpl if ((sample=4)and((asset=1)or(asset=2)))and(((firmn>00.5)and(firmn<100.5))and((period>1.5)and(period<44.5)))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43)+(c(44)*t44))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(121)*f21)+(c(122)*f22)+(c(123)*f23)+(c(124)*f24)+(c(125)*f25)+(c(126)*f26)+(c(127)*f27)+(c(128)*f28)+(c(129)*f29)+(c(130)*f30)+(c(131)*f31)+(c(132)*f32)+(c(133)*f33)+(c(134)*f34)+(c(135)*f35)+(c(136)*f36)+(c(137)*f37)+(c(138)*f38)+(c(139)*f39)+(c(140)*f40)+(c(141)*f41)+(c(142)*f42)+(c(143)*f43)+(c(144)*f44)+(c(145)*f45)+(c(146)*f46)+(c(147)*f47)+(c(148)*f48)+(c(149)*f49)+(c(150)*f50)+(c(151)*f51)+(c(152)*f52)+(c(153)*f53)+(c(154)*f54)+(c(155)*f55)+(c(156)*f56)+(c(157)*f57)+(c(158)*f58)+(c(159)*f59)+(c(160)*f60)+(c(161)*f61)+(c(162)*f62)+(c(163)*f63)+(c(164)*f64)+(c(165)*f65)+(c(166)*f66)+(c(167)*f67)+(c(168)*f68)+(c(169)*f69)+(c(170)*f70)+(c(171)*f71)+(c(172)*f72)+(c(173)*f73)+(c(174)*f74)+(c(175)*f75)+(c(176)*f76)+(c(177)*f77)+(c(178)*f78)+(c(179)*f79)+(c(180)*f80)+(c(181)*f81)+(c(182)*f82)+(c(183)*f83)+(c(184)*f84)+(c(185)*f85)+(c(186)*f86)+(c(187)*f87)+(c(188)*f88)+(c(189)*f89)+(c(190)*f90)+(c(191)*f91)+(c(192)*f92)+(c(193)*f93)+(c(194)*f94)+(c(195)*f95)+(c(196)*f96)+(c(197)*f97)+(c(198)*f98)+(c(199)*f99)+(c(100)*f100)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(221)*g21)+(c(222)*g22)+(c(223)*g23)+(c(224)*g24)+(c(225)*g25)+(c(226)*g26)+(c(227)*g27)+(c(228)*g28)+(c(229)*g29)+(c(230)*g30)+(c(231)*g31)+(c(232)*g32)+(c(233)*g33)+(c(234)*g34)+(c(235)*g35)+(c(236)*g36)+(c(237)*g37)+(c(238)*g38)+(c(239)*g39)+(c(240)*g40)+(c(241)*g41)+(c(242)*g42)+(c(243)*g43)+(c(244)*g44)+(c(245)*g45)+(c(246)*g46)+(c(247)*g47)+(c(248)*g48)+(c(249)*g49)+(c(250)*g50)+(c(251)*g51)+(c(252)*g52)+(c(253)*g53)+(c(254)*g54)+(c(255)*g55)+(c(256)*g56)+(c(257)*g57)+(c(258)*g58)+(c(259)*g59)+(c(260)*g60)+(c(261)*g61)+(c(262)*g62)+(c(263)*g63)+(c(264)*g64)+(c(265)*g65)+(c(266)*g66)+(c(267)*g67)+(c(268)*g68)+(c(269)*g69)+(c(270)*g70)+(c(271)*g71)+(c(272)*g72)+(c(273)*g73)+(c(274)*g74)+(c(275)*g75)+(c(276)*g76)+(c(277)*g77)+(c(278)*g78)+(c(279)*g79)+(c(280)*g80)+(c(281)*g81)+(c(282)*g82)+(c(283)*g83)+(c(284)*g84)+(c(285)*g85)+(c(286)*g86)+(c(287)*g87)+(c(288)*g88)+(c(289)*g89)+(c(290)*g90)+(c(291)*g91)+(c(292)*g92)+(c(293)*g93)+(c(294)*g94)+(c(295)*g95)+(c(296)*g96)+(c(297)*g97)+(c(298)*g98)+(c(299)*g99)+(c(200)*g100)+rhs)
eall.results(p)
'
' Sample 5: July-August 2002
'
' S&P stocks
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((sample=5)and(asset=1))and((firmn>00.5)and(firmn<50.5))and((period>1.5)and(period<44.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43)+(c(44)*t44))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(121)*f21)+(c(122)*f22)+(c(123)*f23)+(c(124)*f24)+(c(125)*f25)+(c(126)*f26)+(c(127)*f27)+(c(128)*f28)+(c(129)*f29)+(c(130)*f30)+(c(131)*f31)+(c(132)*f32)+(c(133)*f33)+(c(134)*f34)+(c(135)*f35)+(c(136)*f36)+(c(137)*f37)+(c(138)*f38)+(c(139)*f39)+(c(140)*f40)+(c(141)*f41)+(c(142)*f42)+(c(143)*f43)+(c(144)*f44)+(c(145)*f45)+(c(146)*f46)+(c(147)*f47)+(c(148)*f48)+(c(149)*f49)+(c(150)*f50)+rhs)
e1st.results(p)
' Second Half
smpl if ((sample=5)and(asset=1))and((firmn>50.5)and(firmn<100.5))and((period>1.5)and(period<44.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43)+(c(44)*t44))*((c(151)*f51)+(c(152)*f52)+(c(153)*f53)+(c(154)*f54)+(c(155)*f55)+(c(156)*f56)+(c(157)*f57)+(c(158)*f58)+(c(159)*f59)+(c(160)*f60)+(c(161)*f61)+(c(162)*f62)+(c(163)*f63)+(c(164)*f64)+(c(165)*f65)+(c(166)*f66)+(c(167)*f67)+(c(168)*f68)+(c(169)*f69)+(c(170)*f70)+(c(171)*f71)+(c(172)*f72)+(c(173)*f73)+(c(174)*f74)+(c(175)*f75)+(c(176)*f76)+(c(177)*f77)+(c(178)*f78)+(c(179)*f79)+(c(180)*f80)+(c(181)*f81)+(c(182)*f82)+(c(183)*f83)+(c(184)*f84)+(c(185)*f85)+(c(186)*f86)+(c(187)*f87)+(c(188)*f88)+(c(189)*f89)+(c(190)*f90)+(c(191)*f91)+(c(192)*f92)+(c(193)*f93)+(c(194)*f94)+(c(195)*f95)+(c(196)*f96)+(c(197)*f97)+(c(198)*f98)+(c(199)*f99)+(c(100)*f100)+rhs)
e2nd.results(p)
' All
smpl if ((sample=5)and(asset=1))and((firmn>00.5)and(firmn<100.5))and((period>1.5)and(period<44.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43)+(c(44)*t44))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(121)*f21)+(c(122)*f22)+(c(123)*f23)+(c(124)*f24)+(c(125)*f25)+(c(126)*f26)+(c(127)*f27)+(c(128)*f28)+(c(129)*f29)+(c(130)*f30)+(c(131)*f31)+(c(132)*f32)+(c(133)*f33)+(c(134)*f34)+(c(135)*f35)+(c(136)*f36)+(c(137)*f37)+(c(138)*f38)+(c(139)*f39)+(c(140)*f40)+(c(141)*f41)+(c(142)*f42)+(c(143)*f43)+(c(144)*f44)+(c(145)*f45)+(c(146)*f46)+(c(147)*f47)+(c(148)*f48)+(c(149)*f49)+(c(150)*f50)+(c(151)*f51)+(c(152)*f52)+(c(153)*f53)+(c(154)*f54)+(c(155)*f55)+(c(156)*f56)+(c(157)*f57)+(c(158)*f58)+(c(159)*f59)+(c(160)*f60)+(c(161)*f61)+(c(162)*f62)+(c(163)*f63)+(c(164)*f64)+(c(165)*f65)+(c(166)*f66)+(c(167)*f67)+(c(168)*f68)+(c(169)*f69)+(c(170)*f70)+(c(171)*f71)+(c(172)*f72)+(c(173)*f73)+(c(174)*f74)+(c(175)*f75)+(c(176)*f76)+(c(177)*f77)+(c(178)*f78)+(c(179)*f79)+(c(180)*f80)+(c(181)*f81)+(c(182)*f82)+(c(183)*f83)+(c(184)*f84)+(c(185)*f85)+(c(186)*f86)+(c(187)*f87)+(c(188)*f88)+(c(189)*f89)+(c(190)*f90)+(c(191)*f91)+(c(192)*f92)+(c(193)*f93)+(c(194)*f94)+(c(195)*f95)+(c(196)*f96)+(c(197)*f97)+(c(198)*f98)+(c(199)*f99)+(c(100)*f100)+rhs)
eall.results(p)
'
' NASDAQ stocks
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((sample=5)and(asset=2))and((firmn>00.5)and(firmn<50.5))and((period>1.5)and(period<44.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43)+(c(44)*t44))*((c(101)*g01)+(c(102)*g02)+(c(103)*g03)+(c(104)*g04)+(c(105)*g05)+(c(106)*g06)+(c(107)*g07)+(c(108)*g08)+(c(109)*g09)+(c(110)*g10)+(c(111)*g11)+(c(112)*g12)+(c(113)*g13)+(c(114)*g14)+(c(115)*g15)+(c(116)*g16)+(c(117)*g17)+(c(118)*g18)+(c(119)*g19)+(c(120)*g20)+(c(121)*g21)+(c(122)*g22)+(c(123)*g23)+(c(124)*g24)+(c(125)*g25)+(c(126)*g26)+(c(127)*g27)+(c(128)*g28)+(c(129)*g29)+(c(130)*g30)+(c(131)*g31)+(c(132)*g32)+(c(133)*g33)+(c(134)*g34)+(c(135)*g35)+(c(136)*g36)+(c(137)*g37)+(c(138)*g38)+(c(139)*g39)+(c(140)*g40)+(c(141)*g41)+(c(142)*g42)+(c(143)*g43)+(c(144)*g44)+(c(145)*g45)+(c(146)*g46)+(c(147)*g47)+(c(148)*g48)+(c(149)*g49)+(c(150)*g50)+rhs)
e1st.results(p)
' Second Half
smpl if ((sample=5)and(asset=2))and((firmn>50.5)and(firmn<100.5))and((period>1.5)and(period<44.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43)+(c(44)*t44))*((c(151)*g51)+(c(152)*g52)+(c(153)*g53)+(c(154)*g54)+(c(155)*g55)+(c(156)*g56)+(c(157)*g57)+(c(158)*g58)+(c(159)*g59)+(c(160)*g60)+(c(161)*g61)+(c(162)*g62)+(c(163)*g63)+(c(164)*g64)+(c(165)*g65)+(c(166)*g66)+(c(167)*g67)+(c(168)*g68)+(c(169)*g69)+(c(170)*g70)+(c(171)*g71)+(c(172)*g72)+(c(173)*g73)+(c(174)*g74)+(c(175)*g75)+(c(176)*g76)+(c(177)*g77)+(c(178)*g78)+(c(179)*g79)+(c(180)*g80)+(c(181)*g81)+(c(182)*g82)+(c(183)*g83)+(c(184)*g84)+(c(185)*g85)+(c(186)*g86)+(c(187)*g87)+(c(188)*g88)+(c(189)*g89)+(c(190)*g90)+(c(191)*g91)+(c(192)*g92)+(c(193)*g93)+(c(194)*g94)+(c(195)*g95)+(c(196)*g96)+(c(197)*g97)+(c(198)*g98)+(c(199)*g99)+(c(100)*g100)+rhs)
e2nd.results(p)
' All
smpl if ((sample=5)and(asset=2))and((firmn>00.5)and(firmn<100.5))and((period>1.5)and(period<44.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43)+(c(44)*t44))*((c(101)*g01)+(c(102)*g02)+(c(103)*g03)+(c(104)*g04)+(c(105)*g05)+(c(106)*g06)+(c(107)*g07)+(c(108)*g08)+(c(109)*g09)+(c(110)*g10)+(c(111)*g11)+(c(112)*g12)+(c(113)*g13)+(c(114)*g14)+(c(115)*g15)+(c(116)*g16)+(c(117)*g17)+(c(118)*g18)+(c(119)*g19)+(c(120)*g20)+(c(121)*g21)+(c(122)*g22)+(c(123)*g23)+(c(124)*g24)+(c(125)*g25)+(c(126)*g26)+(c(127)*g27)+(c(128)*g28)+(c(129)*g29)+(c(130)*g30)+(c(131)*g31)+(c(132)*g32)+(c(133)*g33)+(c(134)*g34)+(c(135)*g35)+(c(136)*g36)+(c(137)*g37)+(c(138)*g38)+(c(139)*g39)+(c(140)*g40)+(c(141)*g41)+(c(142)*g42)+(c(143)*g43)+(c(144)*g44)+(c(145)*g45)+(c(146)*g46)+(c(147)*g47)+(c(148)*g48)+(c(149)*g49)+(c(150)*g50)+(c(151)*g51)+(c(152)*g52)+(c(153)*g53)+(c(154)*g54)+(c(155)*g55)+(c(156)*g56)+(c(157)*g57)+(c(158)*g58)+(c(159)*g59)+(c(160)*g60)+(c(161)*g61)+(c(162)*g62)+(c(163)*g63)+(c(164)*g64)+(c(165)*g65)+(c(166)*g66)+(c(167)*g67)+(c(168)*g68)+(c(169)*g69)+(c(170)*g70)+(c(171)*g71)+(c(172)*g72)+(c(173)*g73)+(c(174)*g74)+(c(175)*g75)+(c(176)*g76)+(c(177)*g77)+(c(178)*g78)+(c(179)*g79)+(c(180)*g80)+(c(181)*g81)+(c(182)*g82)+(c(183)*g83)+(c(184)*g84)+(c(185)*g85)+(c(186)*g86)+(c(187)*g87)+(c(188)*g88)+(c(189)*g89)+(c(190)*g90)+(c(191)*g91)+(c(192)*g92)+(c(193)*g93)+(c(194)*g94)+(c(195)*g95)+(c(196)*g96)+(c(197)*g97)+(c(198)*g98)+(c(199)*g99)+(c(100)*g100)+rhs)
eall.results(p)
'
' Both S&P and NASDAQ stocks
'
smpl if ((sample=5)and((asset=1)or(asset=2)))and(((firmn>00.5)and(firmn<100.5))and((period>1.5)and(period<44.5)))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43)+(c(44)*t44))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(121)*f21)+(c(122)*f22)+(c(123)*f23)+(c(124)*f24)+(c(125)*f25)+(c(126)*f26)+(c(127)*f27)+(c(128)*f28)+(c(129)*f29)+(c(130)*f30)+(c(131)*f31)+(c(132)*f32)+(c(133)*f33)+(c(134)*f34)+(c(135)*f35)+(c(136)*f36)+(c(137)*f37)+(c(138)*f38)+(c(139)*f39)+(c(140)*f40)+(c(141)*f41)+(c(142)*f42)+(c(143)*f43)+(c(144)*f44)+(c(145)*f45)+(c(146)*f46)+(c(147)*f47)+(c(148)*f48)+(c(149)*f49)+(c(150)*f50)+(c(151)*f51)+(c(152)*f52)+(c(153)*f53)+(c(154)*f54)+(c(155)*f55)+(c(156)*f56)+(c(157)*f57)+(c(158)*f58)+(c(159)*f59)+(c(160)*f60)+(c(161)*f61)+(c(162)*f62)+(c(163)*f63)+(c(164)*f64)+(c(165)*f65)+(c(166)*f66)+(c(167)*f67)+(c(168)*f68)+(c(169)*f69)+(c(170)*f70)+(c(171)*f71)+(c(172)*f72)+(c(173)*f73)+(c(174)*f74)+(c(175)*f75)+(c(176)*f76)+(c(177)*f77)+(c(178)*f78)+(c(179)*f79)+(c(180)*f80)+(c(181)*f81)+(c(182)*f82)+(c(183)*f83)+(c(184)*f84)+(c(185)*f85)+(c(186)*f86)+(c(187)*f87)+(c(188)*f88)+(c(189)*f89)+(c(190)*f90)+(c(191)*f91)+(c(192)*f92)+(c(193)*f93)+(c(194)*f94)+(c(195)*f95)+(c(196)*f96)+(c(197)*f97)+(c(198)*f98)+(c(199)*f99)+(c(100)*f100)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(221)*g21)+(c(222)*g22)+(c(223)*g23)+(c(224)*g24)+(c(225)*g25)+(c(226)*g26)+(c(227)*g27)+(c(228)*g28)+(c(229)*g29)+(c(230)*g30)+(c(231)*g31)+(c(232)*g32)+(c(233)*g33)+(c(234)*g34)+(c(235)*g35)+(c(236)*g36)+(c(237)*g37)+(c(238)*g38)+(c(239)*g39)+(c(240)*g40)+(c(241)*g41)+(c(242)*g42)+(c(243)*g43)+(c(244)*g44)+(c(245)*g45)+(c(246)*g46)+(c(247)*g47)+(c(248)*g48)+(c(249)*g49)+(c(250)*g50)+(c(251)*g51)+(c(252)*g52)+(c(253)*g53)+(c(254)*g54)+(c(255)*g55)+(c(256)*g56)+(c(257)*g57)+(c(258)*g58)+(c(259)*g59)+(c(260)*g60)+(c(261)*g61)+(c(262)*g62)+(c(263)*g63)+(c(264)*g64)+(c(265)*g65)+(c(266)*g66)+(c(267)*g67)+(c(268)*g68)+(c(269)*g69)+(c(270)*g70)+(c(271)*g71)+(c(272)*g72)+(c(273)*g73)+(c(274)*g74)+(c(275)*g75)+(c(276)*g76)+(c(277)*g77)+(c(278)*g78)+(c(279)*g79)+(c(280)*g80)+(c(281)*g81)+(c(282)*g82)+(c(283)*g83)+(c(284)*g84)+(c(285)*g85)+(c(286)*g86)+(c(287)*g87)+(c(288)*g88)+(c(289)*g89)+(c(290)*g90)+(c(291)*g91)+(c(292)*g92)+(c(293)*g93)+(c(294)*g94)+(c(295)*g95)+(c(296)*g96)+(c(297)*g97)+(c(298)*g98)+(c(299)*g99)+(c(200)*g100)+rhs)
eall.results(p)
'
' Sample 6: October-November 2002
'
' S&P stocks
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((sample=6)and(asset=1))and((firmn>00.5)and(firmn<50.5))and((period>1.5)and(period<43.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(121)*f21)+(c(122)*f22)+(c(123)*f23)+(c(124)*f24)+(c(125)*f25)+(c(126)*f26)+(c(127)*f27)+(c(128)*f28)+(c(129)*f29)+(c(130)*f30)+(c(131)*f31)+(c(132)*f32)+(c(133)*f33)+(c(134)*f34)+(c(135)*f35)+(c(136)*f36)+(c(137)*f37)+(c(138)*f38)+(c(139)*f39)+(c(140)*f40)+(c(141)*f41)+(c(142)*f42)+(c(143)*f43)+(c(144)*f44)+(c(145)*f45)+(c(146)*f46)+(c(147)*f47)+(c(148)*f48)+(c(149)*f49)+(c(150)*f50)+rhs)
e1st.results(p)
' Second Half
smpl if ((sample=6)and(asset=1))and((firmn>50.5)and(firmn<100.5))and((period>1.5)and(period<43.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(151)*f51)+(c(152)*f52)+(c(153)*f53)+(c(154)*f54)+(c(155)*f55)+(c(156)*f56)+(c(157)*f57)+(c(158)*f58)+(c(159)*f59)+(c(160)*f60)+(c(161)*f61)+(c(162)*f62)+(c(163)*f63)+(c(164)*f64)+(c(165)*f65)+(c(166)*f66)+(c(167)*f67)+(c(168)*f68)+(c(169)*f69)+(c(170)*f70)+(c(171)*f71)+(c(172)*f72)+(c(173)*f73)+(c(174)*f74)+(c(175)*f75)+(c(176)*f76)+(c(177)*f77)+(c(178)*f78)+(c(179)*f79)+(c(180)*f80)+(c(181)*f81)+(c(182)*f82)+(c(183)*f83)+(c(184)*f84)+(c(185)*f85)+(c(186)*f86)+(c(187)*f87)+(c(188)*f88)+(c(189)*f89)+(c(190)*f90)+(c(191)*f91)+(c(192)*f92)+(c(193)*f93)+(c(194)*f94)+(c(195)*f95)+(c(196)*f96)+(c(197)*f97)+(c(198)*f98)+(c(199)*f99)+(c(100)*f100)+rhs)
e2nd.results(p)
' All
smpl if ((sample=6)and(asset=1))and((firmn>00.5)and(firmn<100.5))and((period>1.5)and(period<43.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(121)*f21)+(c(122)*f22)+(c(123)*f23)+(c(124)*f24)+(c(125)*f25)+(c(126)*f26)+(c(127)*f27)+(c(128)*f28)+(c(129)*f29)+(c(130)*f30)+(c(131)*f31)+(c(132)*f32)+(c(133)*f33)+(c(134)*f34)+(c(135)*f35)+(c(136)*f36)+(c(137)*f37)+(c(138)*f38)+(c(139)*f39)+(c(140)*f40)+(c(141)*f41)+(c(142)*f42)+(c(143)*f43)+(c(144)*f44)+(c(145)*f45)+(c(146)*f46)+(c(147)*f47)+(c(148)*f48)+(c(149)*f49)+(c(150)*f50)+(c(151)*f51)+(c(152)*f52)+(c(153)*f53)+(c(154)*f54)+(c(155)*f55)+(c(156)*f56)+(c(157)*f57)+(c(158)*f58)+(c(159)*f59)+(c(160)*f60)+(c(161)*f61)+(c(162)*f62)+(c(163)*f63)+(c(164)*f64)+(c(165)*f65)+(c(166)*f66)+(c(167)*f67)+(c(168)*f68)+(c(169)*f69)+(c(170)*f70)+(c(171)*f71)+(c(172)*f72)+(c(173)*f73)+(c(174)*f74)+(c(175)*f75)+(c(176)*f76)+(c(177)*f77)+(c(178)*f78)+(c(179)*f79)+(c(180)*f80)+(c(181)*f81)+(c(182)*f82)+(c(183)*f83)+(c(184)*f84)+(c(185)*f85)+(c(186)*f86)+(c(187)*f87)+(c(188)*f88)+(c(189)*f89)+(c(190)*f90)+(c(191)*f91)+(c(192)*f92)+(c(193)*f93)+(c(194)*f94)+(c(195)*f95)+(c(196)*f96)+(c(197)*f97)+(c(198)*f98)+(c(199)*f99)+(c(100)*f100)+rhs)
eall.results(p)
'
' NASDAQ stocks
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((sample=6)and(asset=2))and((firmn>00.5)and(firmn<50.5))and((period>1.5)and(period<43.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(101)*g01)+(c(102)*g02)+(c(103)*g03)+(c(104)*g04)+(c(105)*g05)+(c(106)*g06)+(c(107)*g07)+(c(108)*g08)+(c(109)*g09)+(c(110)*g10)+(c(111)*g11)+(c(112)*g12)+(c(113)*g13)+(c(114)*g14)+(c(115)*g15)+(c(116)*g16)+(c(117)*g17)+(c(118)*g18)+(c(119)*g19)+(c(120)*g20)+(c(121)*g21)+(c(122)*g22)+(c(123)*g23)+(c(124)*g24)+(c(125)*g25)+(c(126)*g26)+(c(127)*g27)+(c(128)*g28)+(c(129)*g29)+(c(130)*g30)+(c(131)*g31)+(c(132)*g32)+(c(133)*g33)+(c(134)*g34)+(c(135)*g35)+(c(136)*g36)+(c(137)*g37)+(c(138)*g38)+(c(139)*g39)+(c(140)*g40)+(c(141)*g41)+(c(142)*g42)+(c(143)*g43)+(c(144)*g44)+(c(145)*g45)+(c(146)*g46)+(c(147)*g47)+(c(148)*g48)+(c(149)*g49)+(c(150)*g50)+rhs)
e1st.results(p)
' Second Half
smpl if ((sample=6)and(asset=2))and((firmn>50.5)and(firmn<100.5))and((period>1.5)and(period<43.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(151)*g51)+(c(152)*g52)+(c(153)*g53)+(c(154)*g54)+(c(155)*g55)+(c(156)*g56)+(c(157)*g57)+(c(158)*g58)+(c(159)*g59)+(c(160)*g60)+(c(161)*g61)+(c(162)*g62)+(c(163)*g63)+(c(164)*g64)+(c(165)*g65)+(c(166)*g66)+(c(167)*g67)+(c(168)*g68)+(c(169)*g69)+(c(170)*g70)+(c(171)*g71)+(c(172)*g72)+(c(173)*g73)+(c(174)*g74)+(c(175)*g75)+(c(176)*g76)+(c(177)*g77)+(c(178)*g78)+(c(179)*g79)+(c(180)*g80)+(c(181)*g81)+(c(182)*g82)+(c(183)*g83)+(c(184)*g84)+(c(185)*g85)+(c(186)*g86)+(c(187)*g87)+(c(188)*g88)+(c(189)*g89)+(c(190)*g90)+(c(191)*g91)+(c(192)*g92)+(c(193)*g93)+(c(194)*g94)+(c(195)*g95)+(c(196)*g96)+(c(197)*g97)+(c(198)*g98)+(c(199)*g99)+(c(100)*g100)+rhs)
e2nd.results(p)
' All
smpl if ((sample=6)and(asset=2))and((firmn>00.5)and(firmn<100.5))and((period>1.5)and(period<43.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(101)*g01)+(c(102)*g02)+(c(103)*g03)+(c(104)*g04)+(c(105)*g05)+(c(106)*g06)+(c(107)*g07)+(c(108)*g08)+(c(109)*g09)+(c(110)*g10)+(c(111)*g11)+(c(112)*g12)+(c(113)*g13)+(c(114)*g14)+(c(115)*g15)+(c(116)*g16)+(c(117)*g17)+(c(118)*g18)+(c(119)*g19)+(c(120)*g20)+(c(121)*g21)+(c(122)*g22)+(c(123)*g23)+(c(124)*g24)+(c(125)*g25)+(c(126)*g26)+(c(127)*g27)+(c(128)*g28)+(c(129)*g29)+(c(130)*g30)+(c(131)*g31)+(c(132)*g32)+(c(133)*g33)+(c(134)*g34)+(c(135)*g35)+(c(136)*g36)+(c(137)*g37)+(c(138)*g38)+(c(139)*g39)+(c(140)*g40)+(c(141)*g41)+(c(142)*g42)+(c(143)*g43)+(c(144)*g44)+(c(145)*g45)+(c(146)*g46)+(c(147)*g47)+(c(148)*g48)+(c(149)*g49)+(c(150)*g50)+(c(151)*g51)+(c(152)*g52)+(c(153)*g53)+(c(154)*g54)+(c(155)*g55)+(c(156)*g56)+(c(157)*g57)+(c(158)*g58)+(c(159)*g59)+(c(160)*g60)+(c(161)*g61)+(c(162)*g62)+(c(163)*g63)+(c(164)*g64)+(c(165)*g65)+(c(166)*g66)+(c(167)*g67)+(c(168)*g68)+(c(169)*g69)+(c(170)*g70)+(c(171)*g71)+(c(172)*g72)+(c(173)*g73)+(c(174)*g74)+(c(175)*g75)+(c(176)*g76)+(c(177)*g77)+(c(178)*g78)+(c(179)*g79)+(c(180)*g80)+(c(181)*g81)+(c(182)*g82)+(c(183)*g83)+(c(184)*g84)+(c(185)*g85)+(c(186)*g86)+(c(187)*g87)+(c(188)*g88)+(c(189)*g89)+(c(190)*g90)+(c(191)*g91)+(c(192)*g92)+(c(193)*g93)+(c(194)*g94)+(c(195)*g95)+(c(196)*g96)+(c(197)*g97)+(c(198)*g98)+(c(199)*g99)+(c(100)*g100)+rhs)
eall.results(p)
'
' Both S&P and NASDAQ stocks
'
smpl if ((sample=6)and((asset=1)or(asset=2)))and(((firmn>00.5)and(firmn<100.5))and((period>1.5)and(period<43.5)))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(121)*f21)+(c(122)*f22)+(c(123)*f23)+(c(124)*f24)+(c(125)*f25)+(c(126)*f26)+(c(127)*f27)+(c(128)*f28)+(c(129)*f29)+(c(130)*f30)+(c(131)*f31)+(c(132)*f32)+(c(133)*f33)+(c(134)*f34)+(c(135)*f35)+(c(136)*f36)+(c(137)*f37)+(c(138)*f38)+(c(139)*f39)+(c(140)*f40)+(c(141)*f41)+(c(142)*f42)+(c(143)*f43)+(c(144)*f44)+(c(145)*f45)+(c(146)*f46)+(c(147)*f47)+(c(148)*f48)+(c(149)*f49)+(c(150)*f50)+(c(151)*f51)+(c(152)*f52)+(c(153)*f53)+(c(154)*f54)+(c(155)*f55)+(c(156)*f56)+(c(157)*f57)+(c(158)*f58)+(c(159)*f59)+(c(160)*f60)+(c(161)*f61)+(c(162)*f62)+(c(163)*f63)+(c(164)*f64)+(c(165)*f65)+(c(166)*f66)+(c(167)*f67)+(c(168)*f68)+(c(169)*f69)+(c(170)*f70)+(c(171)*f71)+(c(172)*f72)+(c(173)*f73)+(c(174)*f74)+(c(175)*f75)+(c(176)*f76)+(c(177)*f77)+(c(178)*f78)+(c(179)*f79)+(c(180)*f80)+(c(181)*f81)+(c(182)*f82)+(c(183)*f83)+(c(184)*f84)+(c(185)*f85)+(c(186)*f86)+(c(187)*f87)+(c(188)*f88)+(c(189)*f89)+(c(190)*f90)+(c(191)*f91)+(c(192)*f92)+(c(193)*f93)+(c(194)*f94)+(c(195)*f95)+(c(196)*f96)+(c(197)*f97)+(c(198)*f98)+(c(199)*f99)+(c(100)*f100)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(221)*g21)+(c(222)*g22)+(c(223)*g23)+(c(224)*g24)+(c(225)*g25)+(c(226)*g26)+(c(227)*g27)+(c(228)*g28)+(c(229)*g29)+(c(230)*g30)+(c(231)*g31)+(c(232)*g32)+(c(233)*g33)+(c(234)*g34)+(c(235)*g35)+(c(236)*g36)+(c(237)*g37)+(c(238)*g38)+(c(239)*g39)+(c(240)*g40)+(c(241)*g41)+(c(242)*g42)+(c(243)*g43)+(c(244)*g44)+(c(245)*g45)+(c(246)*g46)+(c(247)*g47)+(c(248)*g48)+(c(249)*g49)+(c(250)*g50)+(c(251)*g51)+(c(252)*g52)+(c(253)*g53)+(c(254)*g54)+(c(255)*g55)+(c(256)*g56)+(c(257)*g57)+(c(258)*g58)+(c(259)*g59)+(c(260)*g60)+(c(261)*g61)+(c(262)*g62)+(c(263)*g63)+(c(264)*g64)+(c(265)*g65)+(c(266)*g66)+(c(267)*g67)+(c(268)*g68)+(c(269)*g69)+(c(270)*g70)+(c(271)*g71)+(c(272)*g72)+(c(273)*g73)+(c(274)*g74)+(c(275)*g75)+(c(276)*g76)+(c(277)*g77)+(c(278)*g78)+(c(279)*g79)+(c(280)*g80)+(c(281)*g81)+(c(282)*g82)+(c(283)*g83)+(c(284)*g84)+(c(285)*g85)+(c(286)*g86)+(c(287)*g87)+(c(288)*g88)+(c(289)*g89)+(c(290)*g90)+(c(291)*g91)+(c(292)*g92)+(c(293)*g93)+(c(294)*g94)+(c(295)*g95)+(c(296)*g96)+(c(297)*g97)+(c(298)*g98)+(c(299)*g99)+(c(200)*g100)+rhs)
eall.results(p)

output off
