output(t) c:\res\stockreg\progs\pl2a3
' This EViews program estimates the default equation for the
' S&P and NASDAQ stocks for 6 different 2-month periods in 1999 and 2002.
' The idea is to check for integration inside US stock markets.
' 
' This version multiplies each of the firm-specific effects
' by the log-difference of the index and adds these to firm-specific constants.
'
' This perturbation of pl2a uses the square of the return,
' and does various tests around the first set of estimates.
'
' The samples are:
' 1999: April-May (43 days) sample 1
' 1999: July-August (44) sample 2
' 1999: October-November (43) sample 3
' 2002: April-May (45) sample 4
' 2002: July-August (45) sample 5
' 2002: October-November (44) sample 6
' 
' There are 4 assets: S&P stocks, asset 1; NASDAQ stocks, asset 2
' TSE stocks (in C$), asset 3; US bonds, asset 4
'
' Each sample has 100 firms (except some bonds and the Canadians)
' and we lose 1 lead (regressand and 1 lag (normalization) each period.
'
' Load the data set
'
load \res\stockreg\data\datal
smpl @all
'
' Create the log-difference in the index (market) return
'
sort sample asset firmn period
smpl if firmn=firmn(-1)
genr mkt=((log(index))-(log(index(-1))))^2
smpl @all
'
' Create the time dummies
'
genr t02=(period=2)
genr t03=(period=3)
genr t04=(period=4)
genr t05=(period=5)
genr t06=(period=6)
genr t07=(period=7)
genr t08=(period=8)
genr t09=(period=9)
genr t10=(period=10)
genr t11=(period=11)
genr t12=(period=12)
genr t13=(period=13)
genr t14=(period=14)
genr t15=(period=15)
genr t16=(period=16)
genr t17=(period=17)
genr t18=(period=18)
genr t19=(period=19)
genr t20=(period=20)
genr t21=(period=21)
genr t22=(period=22)
genr t23=(period=23)
genr t24=(period=24)
genr t25=(period=25)
genr t26=(period=26)
genr t27=(period=27)
genr t28=(period=28)
genr t29=(period=29)
genr t30=(period=30)
genr t31=(period=31)
genr t32=(period=32)
genr t33=(period=33)
genr t34=(period=34)
genr t35=(period=35)
genr t36=(period=36)
genr t37=(period=37)
genr t38=(period=38)
genr t39=(period=39)
genr t40=(period=40)
genr t41=(period=41)
genr t42=(period=42)
genr t43=(period=43)
genr t44=(period=44)
'
' Create the firm interactive dummies: S&P
'
genr f01=(firmn=1)*(asset=1)*mkt
genr f02=(firmn=2)*(asset=1)*mkt
genr f03=(firmn=3)*(asset=1)*mkt
genr f04=(firmn=4)*(asset=1)*mkt
genr f05=(firmn=5)*(asset=1)*mkt
genr f06=(firmn=6)*(asset=1)*mkt
genr f07=(firmn=7)*(asset=1)*mkt
genr f08=(firmn=8)*(asset=1)*mkt
genr f09=(firmn=9)*(asset=1)*mkt
genr f10=(firmn=10)*(asset=1)*mkt
genr f11=(firmn=11)*(asset=1)*mkt
genr f12=(firmn=12)*(asset=1)*mkt
genr f13=(firmn=13)*(asset=1)*mkt
genr f14=(firmn=14)*(asset=1)*mkt
genr f15=(firmn=15)*(asset=1)*mkt
genr f16=(firmn=16)*(asset=1)*mkt
genr f17=(firmn=17)*(asset=1)*mkt
genr f18=(firmn=18)*(asset=1)*mkt
genr f19=(firmn=19)*(asset=1)*mkt
genr f20=(firmn=20)*(asset=1)*mkt
genr f21=(firmn=21)*(asset=1)*mkt
genr f22=(firmn=22)*(asset=1)*mkt
genr f23=(firmn=23)*(asset=1)*mkt
genr f24=(firmn=24)*(asset=1)*mkt
genr f25=(firmn=25)*(asset=1)*mkt
genr f26=(firmn=26)*(asset=1)*mkt
genr f27=(firmn=27)*(asset=1)*mkt
genr f28=(firmn=28)*(asset=1)*mkt
genr f29=(firmn=29)*(asset=1)*mkt
genr f30=(firmn=30)*(asset=1)*mkt
genr f31=(firmn=31)*(asset=1)*mkt
genr f32=(firmn=32)*(asset=1)*mkt
genr f33=(firmn=33)*(asset=1)*mkt
genr f34=(firmn=34)*(asset=1)*mkt
genr f35=(firmn=35)*(asset=1)*mkt
genr f36=(firmn=36)*(asset=1)*mkt
genr f37=(firmn=37)*(asset=1)*mkt
genr f38=(firmn=38)*(asset=1)*mkt
genr f39=(firmn=39)*(asset=1)*mkt
genr f40=(firmn=40)*(asset=1)*mkt
genr f41=(firmn=41)*(asset=1)*mkt
genr f42=(firmn=42)*(asset=1)*mkt
genr f43=(firmn=43)*(asset=1)*mkt
genr f44=(firmn=44)*(asset=1)*mkt
genr f45=(firmn=45)*(asset=1)*mkt
genr f46=(firmn=46)*(asset=1)*mkt
genr f47=(firmn=47)*(asset=1)*mkt
genr f48=(firmn=48)*(asset=1)*mkt
genr f49=(firmn=49)*(asset=1)*mkt
genr f50=(firmn=50)*(asset=1)*mkt
genr f51=(firmn=51)*(asset=1)*mkt
genr f52=(firmn=52)*(asset=1)*mkt
genr f53=(firmn=53)*(asset=1)*mkt
genr f54=(firmn=54)*(asset=1)*mkt
genr f55=(firmn=55)*(asset=1)*mkt
genr f56=(firmn=56)*(asset=1)*mkt
genr f57=(firmn=57)*(asset=1)*mkt
genr f58=(firmn=58)*(asset=1)*mkt
genr f59=(firmn=59)*(asset=1)*mkt
genr f60=(firmn=60)*(asset=1)*mkt
genr f61=(firmn=61)*(asset=1)*mkt
genr f62=(firmn=62)*(asset=1)*mkt
genr f63=(firmn=63)*(asset=1)*mkt
genr f64=(firmn=64)*(asset=1)*mkt
genr f65=(firmn=65)*(asset=1)*mkt
genr f66=(firmn=66)*(asset=1)*mkt
genr f67=(firmn=67)*(asset=1)*mkt
genr f68=(firmn=68)*(asset=1)*mkt
genr f69=(firmn=69)*(asset=1)*mkt
genr f70=(firmn=70)*(asset=1)*mkt
genr f71=(firmn=71)*(asset=1)*mkt
genr f72=(firmn=72)*(asset=1)*mkt
genr f73=(firmn=73)*(asset=1)*mkt
genr f74=(firmn=74)*(asset=1)*mkt
genr f75=(firmn=75)*(asset=1)*mkt
genr f76=(firmn=76)*(asset=1)*mkt
genr f77=(firmn=77)*(asset=1)*mkt
genr f78=(firmn=78)*(asset=1)*mkt
genr f79=(firmn=79)*(asset=1)*mkt
genr f80=(firmn=80)*(asset=1)*mkt
genr f81=(firmn=81)*(asset=1)*mkt
genr f82=(firmn=82)*(asset=1)*mkt
genr f83=(firmn=83)*(asset=1)*mkt
genr f84=(firmn=84)*(asset=1)*mkt
genr f85=(firmn=85)*(asset=1)*mkt
genr f86=(firmn=86)*(asset=1)*mkt
genr f87=(firmn=87)*(asset=1)*mkt
genr f88=(firmn=88)*(asset=1)*mkt
genr f89=(firmn=89)*(asset=1)*mkt
genr f90=(firmn=90)*(asset=1)*mkt
genr f91=(firmn=91)*(asset=1)*mkt
genr f92=(firmn=92)*(asset=1)*mkt
genr f93=(firmn=93)*(asset=1)*mkt
genr f94=(firmn=94)*(asset=1)*mkt
genr f95=(firmn=95)*(asset=1)*mkt
genr f96=(firmn=96)*(asset=1)*mkt
genr f97=(firmn=97)*(asset=1)*mkt
genr f98=(firmn=98)*(asset=1)*mkt
genr f99=(firmn=99)*(asset=1)*mkt
genr f100=(firmn=100)*(asset=1)*mkt
'
' Create the firm interactive dummies: NASDAQ
'
genr g01=(firmn=1)*(asset=2)*mkt
genr g02=(firmn=2)*(asset=2)*mkt
genr g03=(firmn=3)*(asset=2)*mkt
genr g04=(firmn=4)*(asset=2)*mkt
genr g05=(firmn=5)*(asset=2)*mkt
genr g06=(firmn=6)*(asset=2)*mkt
genr g07=(firmn=7)*(asset=2)*mkt
genr g08=(firmn=8)*(asset=2)*mkt
genr g09=(firmn=9)*(asset=2)*mkt
genr g10=(firmn=10)*(asset=2)*mkt
genr g11=(firmn=11)*(asset=2)*mkt
genr g12=(firmn=12)*(asset=2)*mkt
genr g13=(firmn=13)*(asset=2)*mkt
genr g14=(firmn=14)*(asset=2)*mkt
genr g15=(firmn=15)*(asset=2)*mkt
genr g16=(firmn=16)*(asset=2)*mkt
genr g17=(firmn=17)*(asset=2)*mkt
genr g18=(firmn=18)*(asset=2)*mkt
genr g19=(firmn=19)*(asset=2)*mkt
genr g20=(firmn=20)*(asset=2)*mkt
genr g21=(firmn=21)*(asset=2)*mkt
genr g22=(firmn=22)*(asset=2)*mkt
genr g23=(firmn=23)*(asset=2)*mkt
genr g24=(firmn=24)*(asset=2)*mkt
genr g25=(firmn=25)*(asset=2)*mkt
genr g26=(firmn=26)*(asset=2)*mkt
genr g27=(firmn=27)*(asset=2)*mkt
genr g28=(firmn=28)*(asset=2)*mkt
genr g29=(firmn=29)*(asset=2)*mkt
genr g30=(firmn=30)*(asset=2)*mkt
genr g31=(firmn=31)*(asset=2)*mkt
genr g32=(firmn=32)*(asset=2)*mkt
genr g33=(firmn=33)*(asset=2)*mkt
genr g34=(firmn=34)*(asset=2)*mkt
genr g35=(firmn=35)*(asset=2)*mkt
genr g36=(firmn=36)*(asset=2)*mkt
genr g37=(firmn=37)*(asset=2)*mkt
genr g38=(firmn=38)*(asset=2)*mkt
genr g39=(firmn=39)*(asset=2)*mkt
genr g40=(firmn=40)*(asset=2)*mkt
genr g41=(firmn=41)*(asset=2)*mkt
genr g42=(firmn=42)*(asset=2)*mkt
genr g43=(firmn=43)*(asset=2)*mkt
genr g44=(firmn=44)*(asset=2)*mkt
genr g45=(firmn=45)*(asset=2)*mkt
genr g46=(firmn=46)*(asset=2)*mkt
genr g47=(firmn=47)*(asset=2)*mkt
genr g48=(firmn=48)*(asset=2)*mkt
genr g49=(firmn=49)*(asset=2)*mkt
genr g50=(firmn=50)*(asset=2)*mkt
genr g51=(firmn=51)*(asset=2)*mkt
genr g52=(firmn=52)*(asset=2)*mkt
genr g53=(firmn=53)*(asset=2)*mkt
genr g54=(firmn=54)*(asset=2)*mkt
genr g55=(firmn=55)*(asset=2)*mkt
genr g56=(firmn=56)*(asset=2)*mkt
genr g57=(firmn=57)*(asset=2)*mkt
genr g58=(firmn=58)*(asset=2)*mkt
genr g59=(firmn=59)*(asset=2)*mkt
genr g60=(firmn=60)*(asset=2)*mkt
genr g61=(firmn=61)*(asset=2)*mkt
genr g62=(firmn=62)*(asset=2)*mkt
genr g63=(firmn=63)*(asset=2)*mkt
genr g64=(firmn=64)*(asset=2)*mkt
genr g65=(firmn=65)*(asset=2)*mkt
genr g66=(firmn=66)*(asset=2)*mkt
genr g67=(firmn=67)*(asset=2)*mkt
genr g68=(firmn=68)*(asset=2)*mkt
genr g69=(firmn=69)*(asset=2)*mkt
genr g70=(firmn=70)*(asset=2)*mkt
genr g71=(firmn=71)*(asset=2)*mkt
genr g72=(firmn=72)*(asset=2)*mkt
genr g73=(firmn=73)*(asset=2)*mkt
genr g74=(firmn=74)*(asset=2)*mkt
genr g75=(firmn=75)*(asset=2)*mkt
genr g76=(firmn=76)*(asset=2)*mkt
genr g77=(firmn=77)*(asset=2)*mkt
genr g78=(firmn=78)*(asset=2)*mkt
genr g79=(firmn=79)*(asset=2)*mkt
genr g80=(firmn=80)*(asset=2)*mkt
genr g81=(firmn=81)*(asset=2)*mkt
genr g82=(firmn=82)*(asset=2)*mkt
genr g83=(firmn=83)*(asset=2)*mkt
genr g84=(firmn=84)*(asset=2)*mkt
genr g85=(firmn=85)*(asset=2)*mkt
genr g86=(firmn=86)*(asset=2)*mkt
genr g87=(firmn=87)*(asset=2)*mkt
genr g88=(firmn=88)*(asset=2)*mkt
genr g89=(firmn=89)*(asset=2)*mkt
genr g90=(firmn=90)*(asset=2)*mkt
genr g91=(firmn=91)*(asset=2)*mkt
genr g92=(firmn=92)*(asset=2)*mkt
genr g93=(firmn=93)*(asset=2)*mkt
genr g94=(firmn=94)*(asset=2)*mkt
genr g95=(firmn=95)*(asset=2)*mkt
genr g96=(firmn=96)*(asset=2)*mkt
genr g97=(firmn=97)*(asset=2)*mkt
genr g98=(firmn=98)*(asset=2)*mkt
genr g99=(firmn=99)*(asset=2)*mkt
genr g100=(firmn=100)*(asset=2)*mkt
'
' Create the firm dummies: S&P
'
genr h01=(firmn=1)*(asset=1)
genr h02=(firmn=2)*(asset=1)
genr h03=(firmn=3)*(asset=1)
genr h04=(firmn=4)*(asset=1)
genr h05=(firmn=5)*(asset=1)
genr h06=(firmn=6)*(asset=1)
genr h07=(firmn=7)*(asset=1)
genr h08=(firmn=8)*(asset=1)
genr h09=(firmn=9)*(asset=1)
genr h10=(firmn=10)*(asset=1)
genr h11=(firmn=11)*(asset=1)
genr h12=(firmn=12)*(asset=1)
genr h13=(firmn=13)*(asset=1)
genr h14=(firmn=14)*(asset=1)
genr h15=(firmn=15)*(asset=1)
genr h16=(firmn=16)*(asset=1)
genr h17=(firmn=17)*(asset=1)
genr h18=(firmn=18)*(asset=1)
genr h19=(firmn=19)*(asset=1)
genr h20=(firmn=20)*(asset=1)
genr h21=(firmn=21)*(asset=1)
genr h22=(firmn=22)*(asset=1)
genr h23=(firmn=23)*(asset=1)
genr h24=(firmn=24)*(asset=1)
genr h25=(firmn=25)*(asset=1)
genr h26=(firmn=26)*(asset=1)
genr h27=(firmn=27)*(asset=1)
genr h28=(firmn=28)*(asset=1)
genr h29=(firmn=29)*(asset=1)
genr h30=(firmn=30)*(asset=1)
genr h31=(firmn=31)*(asset=1)
genr h32=(firmn=32)*(asset=1)
genr h33=(firmn=33)*(asset=1)
genr h34=(firmn=34)*(asset=1)
genr h35=(firmn=35)*(asset=1)
genr h36=(firmn=36)*(asset=1)
genr h37=(firmn=37)*(asset=1)
genr h38=(firmn=38)*(asset=1)
genr h39=(firmn=39)*(asset=1)
genr h40=(firmn=40)*(asset=1)
genr h41=(firmn=41)*(asset=1)
genr h42=(firmn=42)*(asset=1)
genr h43=(firmn=43)*(asset=1)
genr h44=(firmn=44)*(asset=1)
genr h45=(firmn=45)*(asset=1)
genr h46=(firmn=46)*(asset=1)
genr h47=(firmn=47)*(asset=1)
genr h48=(firmn=48)*(asset=1)
genr h49=(firmn=49)*(asset=1)
genr h50=(firmn=50)*(asset=1)
genr h51=(firmn=51)*(asset=1)
genr h52=(firmn=52)*(asset=1)
genr h53=(firmn=53)*(asset=1)
genr h54=(firmn=54)*(asset=1)
genr h55=(firmn=55)*(asset=1)
genr h56=(firmn=56)*(asset=1)
genr h57=(firmn=57)*(asset=1)
genr h58=(firmn=58)*(asset=1)
genr h59=(firmn=59)*(asset=1)
genr h60=(firmn=60)*(asset=1)
genr h61=(firmn=61)*(asset=1)
genr h62=(firmn=62)*(asset=1)
genr h63=(firmn=63)*(asset=1)
genr h64=(firmn=64)*(asset=1)
genr h65=(firmn=65)*(asset=1)
genr h66=(firmn=66)*(asset=1)
genr h67=(firmn=67)*(asset=1)
genr h68=(firmn=68)*(asset=1)
genr h69=(firmn=69)*(asset=1)
genr h70=(firmn=70)*(asset=1)
genr h71=(firmn=71)*(asset=1)
genr h72=(firmn=72)*(asset=1)
genr h73=(firmn=73)*(asset=1)
genr h74=(firmn=74)*(asset=1)
genr h75=(firmn=75)*(asset=1)
genr h76=(firmn=76)*(asset=1)
genr h77=(firmn=77)*(asset=1)
genr h78=(firmn=78)*(asset=1)
genr h79=(firmn=79)*(asset=1)
genr h80=(firmn=80)*(asset=1)
genr h81=(firmn=81)*(asset=1)
genr h82=(firmn=82)*(asset=1)
genr h83=(firmn=83)*(asset=1)
genr h84=(firmn=84)*(asset=1)
genr h85=(firmn=85)*(asset=1)
genr h86=(firmn=86)*(asset=1)
genr h87=(firmn=87)*(asset=1)
genr h88=(firmn=88)*(asset=1)
genr h89=(firmn=89)*(asset=1)
genr h90=(firmn=90)*(asset=1)
genr h91=(firmn=91)*(asset=1)
genr h92=(firmn=92)*(asset=1)
genr h93=(firmn=93)*(asset=1)
genr h94=(firmn=94)*(asset=1)
genr h95=(firmn=95)*(asset=1)
genr h96=(firmn=96)*(asset=1)
genr h97=(firmn=97)*(asset=1)
genr h98=(firmn=98)*(asset=1)
genr h99=(firmn=99)*(asset=1)
genr h100=(firmn=100)*(asset=1)
'
' Create the firm dummies: NASDAQ
'
genr i01=(firmn=1)*(asset=2)
genr i02=(firmn=2)*(asset=2)
genr i03=(firmn=3)*(asset=2)
genr i04=(firmn=4)*(asset=2)
genr i05=(firmn=5)*(asset=2)
genr i06=(firmn=6)*(asset=2)
genr i07=(firmn=7)*(asset=2)
genr i08=(firmn=8)*(asset=2)
genr i09=(firmn=9)*(asset=2)
genr i10=(firmn=10)*(asset=2)
genr i11=(firmn=11)*(asset=2)
genr i12=(firmn=12)*(asset=2)
genr i13=(firmn=13)*(asset=2)
genr i14=(firmn=14)*(asset=2)
genr i15=(firmn=15)*(asset=2)
genr i16=(firmn=16)*(asset=2)
genr i17=(firmn=17)*(asset=2)
genr i18=(firmn=18)*(asset=2)
genr i19=(firmn=19)*(asset=2)
genr i20=(firmn=20)*(asset=2)
genr i21=(firmn=21)*(asset=2)
genr i22=(firmn=22)*(asset=2)
genr i23=(firmn=23)*(asset=2)
genr i24=(firmn=24)*(asset=2)
genr i25=(firmn=25)*(asset=2)
genr i26=(firmn=26)*(asset=2)
genr i27=(firmn=27)*(asset=2)
genr i28=(firmn=28)*(asset=2)
genr i29=(firmn=29)*(asset=2)
genr i30=(firmn=30)*(asset=2)
genr i31=(firmn=31)*(asset=2)
genr i32=(firmn=32)*(asset=2)
genr i33=(firmn=33)*(asset=2)
genr i34=(firmn=34)*(asset=2)
genr i35=(firmn=35)*(asset=2)
genr i36=(firmn=36)*(asset=2)
genr i37=(firmn=37)*(asset=2)
genr i38=(firmn=38)*(asset=2)
genr i39=(firmn=39)*(asset=2)
genr i40=(firmn=40)*(asset=2)
genr i41=(firmn=41)*(asset=2)
genr i42=(firmn=42)*(asset=2)
genr i43=(firmn=43)*(asset=2)
genr i44=(firmn=44)*(asset=2)
genr i45=(firmn=45)*(asset=2)
genr i46=(firmn=46)*(asset=2)
genr i47=(firmn=47)*(asset=2)
genr i48=(firmn=48)*(asset=2)
genr i49=(firmn=49)*(asset=2)
genr i50=(firmn=50)*(asset=2)
genr i51=(firmn=51)*(asset=2)
genr i52=(firmn=52)*(asset=2)
genr i53=(firmn=53)*(asset=2)
genr i54=(firmn=54)*(asset=2)
genr i55=(firmn=55)*(asset=2)
genr i56=(firmn=56)*(asset=2)
genr i57=(firmn=57)*(asset=2)
genr i58=(firmn=58)*(asset=2)
genr i59=(firmn=59)*(asset=2)
genr i60=(firmn=60)*(asset=2)
genr i61=(firmn=61)*(asset=2)
genr i62=(firmn=62)*(asset=2)
genr i63=(firmn=63)*(asset=2)
genr i64=(firmn=64)*(asset=2)
genr i65=(firmn=65)*(asset=2)
genr i66=(firmn=66)*(asset=2)
genr i67=(firmn=67)*(asset=2)
genr i68=(firmn=68)*(asset=2)
genr i69=(firmn=69)*(asset=2)
genr i70=(firmn=70)*(asset=2)
genr i71=(firmn=71)*(asset=2)
genr i72=(firmn=72)*(asset=2)
genr i73=(firmn=73)*(asset=2)
genr i74=(firmn=74)*(asset=2)
genr i75=(firmn=75)*(asset=2)
genr i76=(firmn=76)*(asset=2)
genr i77=(firmn=77)*(asset=2)
genr i78=(firmn=78)*(asset=2)
genr i79=(firmn=79)*(asset=2)
genr i80=(firmn=80)*(asset=2)
genr i81=(firmn=81)*(asset=2)
genr i82=(firmn=82)*(asset=2)
genr i83=(firmn=83)*(asset=2)
genr i84=(firmn=84)*(asset=2)
genr i85=(firmn=85)*(asset=2)
genr i86=(firmn=86)*(asset=2)
genr i87=(firmn=87)*(asset=2)
genr i88=(firmn=88)*(asset=2)
genr i89=(firmn=89)*(asset=2)
genr i90=(firmn=90)*(asset=2)
genr i91=(firmn=91)*(asset=2)
genr i92=(firmn=92)*(asset=2)
genr i93=(firmn=93)*(asset=2)
genr i94=(firmn=94)*(asset=2)
genr i95=(firmn=95)*(asset=2)
genr i96=(firmn=96)*(asset=2)
genr i97=(firmn=97)*(asset=2)
genr i98=(firmn=98)*(asset=2)
genr i99=(firmn=99)*(asset=2)
genr i100=(firmn=100)*(asset=2)
'
' Convert Canadian prices into US$
'
smpl if (asset=3)
genr p=p/pdol
smpl @all
'
' Create the 2- and 1-day returns
'
sort sample asset firmn period
smpl if (firmn(+1)=firmn(-1))
genr lhs=p(+1)/p(-1)
genr rhs=p/p(-1)
'
' Sample 1: April-May 1999
'
' S&P stocks
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((sample=1)and(asset=1))and((firmn>00.5)and(firmn<50.5))and((period>1.5)and(period<42.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(121)*f21)+(c(122)*f22)+(c(123)*f23)+(c(124)*f24)+(c(125)*f25)+(c(126)*f26)+(c(127)*f27)+(c(128)*f28)+(c(129)*f29)+(c(130)*f30)+(c(131)*f31)+(c(132)*f32)+(c(133)*f33)+(c(134)*f34)+(c(135)*f35)+(c(136)*f36)+(c(137)*f37)+(c(138)*f38)+(c(139)*f39)+(c(140)*f40)+(c(141)*f41)+(c(142)*f42)+(c(143)*f43)+(c(144)*f44)+(c(145)*f45)+(c(146)*f46)+(c(147)*f47)+(c(148)*f48)+(c(149)*f49)+(c(150)*f50)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(321)*h21)+(c(322)*h22)+(c(323)*h23)+(c(324)*h24)+(c(325)*h25)+(c(326)*h26)+(c(327)*h27)+(c(328)*h28)+(c(329)*h29)+(c(330)*h30)+(c(331)*h31)+(c(332)*h32)+(c(333)*h33)+(c(334)*h34)+(c(335)*h35)+(c(336)*h36)+(c(337)*h37)+(c(338)*h38)+(c(339)*h39)+(c(340)*h40)+(c(341)*h41)+(c(342)*h42)+(c(343)*h43)+(c(344)*h44)+(c(345)*h45)+(c(346)*h46)+(c(347)*h47)+(c(348)*h48)+(c(349)*h49)+(c(350)*h50)+rhs)
e1st.results(p)
' Test for significance of firm-specific constants
e1st.wald(p) c(101)=0,c(102)=0,c(103)=0,c(104)=0,c(105)=0,c(106)=0,c(107)=0,c(108)=0,c(109)=0,c(110)=0,c(111)=0,c(112)=0,c(113)=0,c(114)=0,c(115)=0,c(116)=0,c(117)=0,c(118)=0,c(119)=0,c(120)=0,c(121)=0,c(122)=0,c(123)=0,c(124)=0,c(125)=0,c(126)=0,c(127)=0,c(128)=0,c(129)=0,c(130)=0,c(131)=0,c(132)=0,c(133)=0,c(134)=0,c(135)=0,c(136)=0,c(137)=0,c(138)=0,c(139)=0,c(140)=0,c(141)=0,c(142)=0,c(143)=0,c(144)=0,c(145)=0,c(146)=0,c(147)=0,c(148)=0,c(149)=0,c(150)=0
' Test for significance of firm-specific intercepts
e1st.wald(p) c(301)=0,c(302)=0,c(303)=0,c(304)=0,c(305)=0,c(306)=0,c(307)=0,c(308)=0,c(309)=0,c(310)=0,c(311)=0,c(312)=0,c(313)=0,c(314)=0,c(315)=0,c(316)=0,c(317)=0,c(318)=0,c(319)=0,c(320)=0,c(321)=0,c(322)=0,c(323)=0,c(324)=0,c(325)=0,c(326)=0,c(327)=0,c(328)=0,c(329)=0,c(330)=0,c(331)=0,c(332)=0,c(333)=0,c(334)=0,c(335)=0,c(336)=0,c(337)=0,c(338)=0,c(339)=0,c(340)=0,c(341)=0,c(342)=0,c(343)=0,c(344)=0,c(345)=0,c(346)=0,c(347)=0,c(348)=0,c(349)=0,c(350)=0
' Test for significance of firm-specific constants and intercepts
e1st.wald(p) c(101)=0,c(102)=0,c(103)=0,c(104)=0,c(105)=0,c(106)=0,c(107)=0,c(108)=0,c(109)=0,c(110)=0,c(111)=0,c(112)=0,c(113)=0,c(114)=0,c(115)=0,c(116)=0,c(117)=0,c(118)=0,c(119)=0,c(120)=0,c(121)=0,c(122)=0,c(123)=0,c(124)=0,c(125)=0,c(126)=0,c(127)=0,c(128)=0,c(129)=0,c(130)=0,c(131)=0,c(132)=0,c(133)=0,c(134)=0,c(135)=0,c(136)=0,c(137)=0,c(138)=0,c(139)=0,c(140)=0,c(141)=0,c(142)=0,c(143)=0,c(144)=0,c(145)=0,c(146)=0,c(147)=0,c(148)=0,c(149)=0,c(150)=0,c(301)=0,c(302)=0,c(303)=0,c(304)=0,c(305)=0,c(306)=0,c(307)=0,c(308)=0,c(309)=0,c(310)=0,c(311)=0,c(312)=0,c(313)=0,c(314)=0,c(315)=0,c(316)=0,c(317)=0,c(318)=0,c(319)=0,c(320)=0,c(321)=0,c(322)=0,c(323)=0,c(324)=0,c(325)=0,c(326)=0,c(327)=0,c(328)=0,c(329)=0,c(330)=0,c(331)=0,c(332)=0,c(333)=0,c(334)=0,c(335)=0,c(336)=0,c(337)=0,c(338)=0,c(339)=0,c(340)=0,c(341)=0,c(342)=0,c(343)=0,c(344)=0,c(345)=0,c(346)=0,c(347)=0,c(348)=0,c(349)=0,c(350)=0
' Check for cross-sectional dependence through regressing residuals on time dummies
e1st.makeresids res_eall
equation cscheckt.ls res_eall t02 t03 t04 t05 t06 t07 t08 t09 t10 t11 t12 t13 t14 t15 t16 t17 t18 t19 t20 t21 t22 t23 t24 t25 t26 t27 t28 t29 t30 t31 t32 t33 t34 t35 t36 t37 t38 t39 t40 t41 t42
cscheckt.results(p)
'
' Second Half
smpl if ((sample=1)and(asset=1))and((firmn>50.5)and(firmn<100.5))and((period>1.5)and(period<42.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(151)*f51)+(c(152)*f52)+(c(153)*f53)+(c(154)*f54)+(c(155)*f55)+(c(156)*f56)+(c(157)*f57)+(c(158)*f58)+(c(159)*f59)+(c(160)*f60)+(c(161)*f61)+(c(162)*f62)+(c(163)*f63)+(c(164)*f64)+(c(165)*f65)+(c(166)*f66)+(c(167)*f67)+(c(168)*f68)+(c(169)*f69)+(c(170)*f70)+(c(171)*f71)+(c(172)*f72)+(c(173)*f73)+(c(174)*f74)+(c(175)*f75)+(c(176)*f76)+(c(177)*f77)+(c(178)*f78)+(c(179)*f79)+(c(180)*f80)+(c(181)*f81)+(c(182)*f82)+(c(183)*f83)+(c(184)*f84)+(c(185)*f85)+(c(186)*f86)+(c(187)*f87)+(c(188)*f88)+(c(189)*f89)+(c(190)*f90)+(c(191)*f91)+(c(192)*f92)+(c(193)*f93)+(c(194)*f94)+(c(195)*f95)+(c(196)*f96)+(c(197)*f97)+(c(198)*f98)+(c(199)*f99)+(c(100)*f100)+(c(351)*h51)+(c(352)*h52)+(c(353)*h53)+(c(354)*h54)+(c(355)*h55)+(c(356)*h56)+(c(357)*h57)+(c(358)*h58)+(c(359)*h59)+(c(360)*h60)+(c(361)*h61)+(c(362)*h62)+(c(363)*h63)+(c(364)*h64)+(c(365)*h65)+(c(366)*h66)+(c(367)*h67)+(c(368)*h68)+(c(369)*h69)+(c(370)*h70)+(c(371)*h71)+(c(372)*h72)+(c(373)*h73)+(c(374)*h74)+(c(375)*h75)+(c(376)*h76)+(c(377)*h77)+(c(378)*h78)+(c(379)*h79)+(c(380)*h80)+(c(381)*h81)+(c(382)*h82)+(c(383)*h83)+(c(384)*h84)+(c(385)*h85)+(c(386)*h86)+(c(387)*h87)+(c(388)*h88)+(c(389)*h89)+(c(390)*h90)+(c(391)*h91)+(c(392)*h92)+(c(393)*h93)+(c(394)*h94)+(c(395)*h95)+(c(396)*h96)+(c(397)*h97)+(c(398)*h98)+(c(399)*h99)+(c(300)*h100)+rhs)
e2nd.results(p)
' All
smpl if ((sample=1)and(asset=1))and((firmn>00.5)and(firmn<100.5))and((period>1.5)and(period<42.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(121)*f21)+(c(122)*f22)+(c(123)*f23)+(c(124)*f24)+(c(125)*f25)+(c(126)*f26)+(c(127)*f27)+(c(128)*f28)+(c(129)*f29)+(c(130)*f30)+(c(131)*f31)+(c(132)*f32)+(c(133)*f33)+(c(134)*f34)+(c(135)*f35)+(c(136)*f36)+(c(137)*f37)+(c(138)*f38)+(c(139)*f39)+(c(140)*f40)+(c(141)*f41)+(c(142)*f42)+(c(143)*f43)+(c(144)*f44)+(c(145)*f45)+(c(146)*f46)+(c(147)*f47)+(c(148)*f48)+(c(149)*f49)+(c(150)*f50)+(c(151)*f51)+(c(152)*f52)+(c(153)*f53)+(c(154)*f54)+(c(155)*f55)+(c(156)*f56)+(c(157)*f57)+(c(158)*f58)+(c(159)*f59)+(c(160)*f60)+(c(161)*f61)+(c(162)*f62)+(c(163)*f63)+(c(164)*f64)+(c(165)*f65)+(c(166)*f66)+(c(167)*f67)+(c(168)*f68)+(c(169)*f69)+(c(170)*f70)+(c(171)*f71)+(c(172)*f72)+(c(173)*f73)+(c(174)*f74)+(c(175)*f75)+(c(176)*f76)+(c(177)*f77)+(c(178)*f78)+(c(179)*f79)+(c(180)*f80)+(c(181)*f81)+(c(182)*f82)+(c(183)*f83)+(c(184)*f84)+(c(185)*f85)+(c(186)*f86)+(c(187)*f87)+(c(188)*f88)+(c(189)*f89)+(c(190)*f90)+(c(191)*f91)+(c(192)*f92)+(c(193)*f93)+(c(194)*f94)+(c(195)*f95)+(c(196)*f96)+(c(197)*f97)+(c(198)*f98)+(c(199)*f99)+(c(100)*f100)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(321)*h21)+(c(322)*h22)+(c(323)*h23)+(c(324)*h24)+(c(325)*h25)+(c(326)*h26)+(c(327)*h27)+(c(328)*h28)+(c(329)*h29)+(c(330)*h30)+(c(331)*h31)+(c(332)*h32)+(c(333)*h33)+(c(334)*h34)+(c(335)*h35)+(c(336)*h36)+(c(337)*h37)+(c(338)*h38)+(c(339)*h39)+(c(340)*h40)+(c(341)*h41)+(c(342)*h42)+(c(343)*h43)+(c(344)*h44)+(c(345)*h45)+(c(346)*h46)+(c(347)*h47)+(c(348)*h48)+(c(349)*h49)+(c(350)*h50)+(c(351)*h51)+(c(352)*h52)+(c(353)*h53)+(c(354)*h54)+(c(355)*h55)+(c(356)*h56)+(c(357)*h57)+(c(358)*h58)+(c(359)*h59)+(c(360)*h60)+(c(361)*h61)+(c(362)*h62)+(c(363)*h63)+(c(364)*h64)+(c(365)*h65)+(c(366)*h66)+(c(367)*h67)+(c(368)*h68)+(c(369)*h69)+(c(370)*h70)+(c(371)*h71)+(c(372)*h72)+(c(373)*h73)+(c(374)*h74)+(c(375)*h75)+(c(376)*h76)+(c(377)*h77)+(c(378)*h78)+(c(379)*h79)+(c(380)*h80)+(c(381)*h81)+(c(382)*h82)+(c(383)*h83)+(c(384)*h84)+(c(385)*h85)+(c(386)*h86)+(c(387)*h87)+(c(388)*h88)+(c(389)*h89)+(c(390)*h90)+(c(391)*h91)+(c(392)*h92)+(c(393)*h93)+(c(394)*h94)+(c(395)*h95)+(c(396)*h96)+(c(397)*h97)+(c(398)*h98)+(c(399)*h99)+(c(300)*h100)+rhs)
eall.results(p)

output off
